<?php 
namespace Craft;

return [
	'endpoints' => [
		'recipes.json' => [
			'elementType' => 'Entry',
			'criteria' => ['section' => 'recipes'],
            'transformer' => function(EntryModel $entry) {
                return [
                    'title' => $entry->title,
                    'url' => $entry->url,
                    'jsonUrl' => UrlHelper::getUrl("recipes/{$entry->id}.json"),
                ];
            },
		],
		'recipes/<entryId:\d+>.json' => function($entryId) {
			return [
				'elementType' => 'Entry',
				'criteria' => ['id' => $entryId],
				'first' => true,
				'transformer' => function(EntryModel $entry) {
					return [
						'title' => $entry->title,
						'url' => $entry->url,
						'snapshot' => $entry->recipeSnapshot,
					];
				},
			];
		},
	]
];