# ************************************************************
# Sequel Pro SQL dump
# Version 4135
#
# http://www.sequelpro.com/
# http://code.google.com/p/sequel-pro/
#
# Host: localhost (MySQL 5.5.42)
# Database: crafty-brewery
# Generation Time: 2015-09-18 19:57:24 +0000
# ************************************************************


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


# Dump of table craft_assetfiles
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_assetfiles`;

CREATE TABLE `craft_assetfiles` (
  `id` int(11) NOT NULL,
  `sourceId` int(11) DEFAULT NULL,
  `folderId` int(11) NOT NULL,
  `filename` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `kind` varchar(50) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'unknown',
  `width` smallint(6) unsigned DEFAULT NULL,
  `height` smallint(6) unsigned DEFAULT NULL,
  `size` int(11) unsigned DEFAULT NULL,
  `dateModified` datetime DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_assetfiles_filename_folderId_unq_idx` (`filename`,`folderId`),
  KEY `craft_assetfiles_sourceId_fk` (`sourceId`),
  KEY `craft_assetfiles_folderId_fk` (`folderId`),
  CONSTRAINT `craft_assetfiles_folderId_fk` FOREIGN KEY (`folderId`) REFERENCES `craft_assetfolders` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_assetfiles_id_fk` FOREIGN KEY (`id`) REFERENCES `craft_elements` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_assetfiles_sourceId_fk` FOREIGN KEY (`sourceId`) REFERENCES `craft_assetsources` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_assetfiles` WRITE;
/*!40000 ALTER TABLE `craft_assetfiles` DISABLE KEYS */;

INSERT INTO `craft_assetfiles` (`id`, `sourceId`, `folderId`, `filename`, `kind`, `width`, `height`, `size`, `dateModified`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(59,5,8,'dark-horse-tres-blueberry-stout-2.jpg','image',1200,800,1405969,'2015-06-17 17:34:44','2015-06-17 17:35:01','2015-06-17 17:35:01','4f9d676f-632c-4d6b-bca5-837bda0cfd8c'),
	(60,5,8,'stout.jpg','image',1000,750,154367,'2015-06-17 17:35:26','2015-06-17 17:35:28','2015-06-17 17:35:28','7d97a690-45b7-4c26-bb95-e35d3276cec9'),
	(61,5,8,'stout-in-pot.jpg','image',1024,768,159455,'2015-06-17 17:35:45','2015-06-17 17:35:49','2015-06-17 17:35:49','1570a890-87eb-4f6c-a090-bb044c8f2826'),
	(62,5,8,'IMG_20130908_074755_628-e1378848325489.jpg','image',NULL,NULL,NULL,NULL,'2015-06-17 17:37:55','2015-06-17 17:37:55','871756e0-2df3-41e4-8876-a00ed5bf7cd4'),
	(65,7,11,'stout.jpg','image',1000,750,154367,'2015-06-17 20:02:13','2015-06-17 20:02:15','2015-06-17 20:02:15','253a200c-187a-43f7-be09-9b8da251c36d'),
	(66,7,11,'IMG_20130908_074755_628-e1378848325489.jpg','image',800,1500,372467,'2015-06-17 20:03:30','2015-06-17 20:03:33','2015-06-17 20:03:33','90dc86e6-2874-461c-9b87-4b3378c19f12');

/*!40000 ALTER TABLE `craft_assetfiles` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_assetfolders
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_assetfolders`;

CREATE TABLE `craft_assetfolders` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parentId` int(11) DEFAULT NULL,
  `sourceId` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `path` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_assetfolders_name_parentId_sourceId_unq_idx` (`name`,`parentId`,`sourceId`),
  KEY `craft_assetfolders_parentId_fk` (`parentId`),
  KEY `craft_assetfolders_sourceId_fk` (`sourceId`),
  CONSTRAINT `craft_assetfolders_parentId_fk` FOREIGN KEY (`parentId`) REFERENCES `craft_assetfolders` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_assetfolders_sourceId_fk` FOREIGN KEY (`sourceId`) REFERENCES `craft_assetsources` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_assetfolders` WRITE;
/*!40000 ALTER TABLE `craft_assetfolders` DISABLE KEYS */;

INSERT INTO `craft_assetfolders` (`id`, `parentId`, `sourceId`, `name`, `path`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(8,NULL,5,'Recipe Images','','2015-06-17 17:33:34','2015-06-17 17:33:34','5f6ce6f7-d17d-4b8d-a0e4-efcfeae7d01f'),
	(11,NULL,7,'Recipe Images s3','','2015-06-17 20:01:53','2015-06-17 20:01:53','48528ac6-c104-4a14-92ed-c146a35d926c');

/*!40000 ALTER TABLE `craft_assetfolders` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_assetindexdata
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_assetindexdata`;

CREATE TABLE `craft_assetindexdata` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sessionId` varchar(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `sourceId` int(10) NOT NULL,
  `offset` int(10) NOT NULL,
  `uri` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `size` int(10) DEFAULT NULL,
  `recordId` int(10) DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_assetindexdata_sessionId_sourceId_offset_unq_idx` (`sessionId`,`sourceId`,`offset`),
  KEY `craft_assetindexdata_sourceId_fk` (`sourceId`),
  CONSTRAINT `craft_assetindexdata_sourceId_fk` FOREIGN KEY (`sourceId`) REFERENCES `craft_assetsources` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_assetsources
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_assetsources`;

CREATE TABLE `craft_assetsources` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `handle` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `type` varchar(150) COLLATE utf8_unicode_ci NOT NULL,
  `settings` text COLLATE utf8_unicode_ci,
  `sortOrder` tinyint(4) DEFAULT NULL,
  `fieldLayoutId` int(10) DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_assetsources_name_unq_idx` (`name`),
  UNIQUE KEY `craft_assetsources_handle_unq_idx` (`handle`),
  KEY `craft_assetsources_fieldLayoutId_fk` (`fieldLayoutId`),
  CONSTRAINT `craft_assetsources_fieldLayoutId_fk` FOREIGN KEY (`fieldLayoutId`) REFERENCES `craft_fieldlayouts` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_assetsources` WRITE;
/*!40000 ALTER TABLE `craft_assetsources` DISABLE KEYS */;

INSERT INTO `craft_assetsources` (`id`, `name`, `handle`, `type`, `settings`, `sortOrder`, `fieldLayoutId`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(5,'Recipe Images','recipeImages','GoogleCloud','{\"keyId\":\"GOOGY5N2GUZV74EQ2NFK\",\"secret\":\"7ERM92CD\\/3PyNaMBoiMSDgGhCVkVrj8S7ISg1SEr\",\"bucket\":\"recipe-images\",\"subfolder\":\"\",\"urlPrefix\":\"http:\\/\\/storage.googleapis.com\\/recipe-images\\/\",\"expires\":\"\"}',1,66,'2015-06-17 17:33:34','2015-06-17 17:33:34','3d90f8a2-4552-4318-95dc-f8c041694eb4'),
	(7,'Recipe Images s3','recipeImagesS3','S3','{\"keyId\":\"AKIAIENRE5BUHJDANZ4A\",\"secret\":\"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\",\"bucket\":\"mijingo-crafty-brewery-recipes\",\"subfolder\":\"\",\"urlPrefix\":\"http:\\/\\/s3.amazonaws.com\\/mijingo-crafty-brewery-recipes\\/\",\"expires\":\"\",\"location\":\"US\"}',2,79,'2015-06-17 20:01:53','2015-06-17 20:01:53','4b99b8c2-88ea-41c8-8f31-26bac4eea026');

/*!40000 ALTER TABLE `craft_assetsources` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_assettransformindex
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_assettransformindex`;

CREATE TABLE `craft_assettransformindex` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `fileId` int(11) NOT NULL,
  `filename` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `format` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `location` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `sourceId` int(11) DEFAULT NULL,
  `fileExists` tinyint(1) DEFAULT NULL,
  `inProgress` tinyint(1) DEFAULT NULL,
  `dateIndexed` datetime DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `craft_assettransformindex_sourceId_fileId_location_idx` (`sourceId`,`fileId`,`location`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_assettransforms
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_assettransforms`;

CREATE TABLE `craft_assettransforms` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `handle` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mode` enum('stretch','fit','crop') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'crop',
  `position` enum('top-left','top-center','top-right','center-left','center-center','center-right','bottom-left','bottom-center','bottom-right') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'center-center',
  `height` int(10) DEFAULT NULL,
  `width` int(10) DEFAULT NULL,
  `format` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `quality` int(10) DEFAULT NULL,
  `dimensionChangeTime` datetime DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_assettransforms_name_unq_idx` (`name`),
  UNIQUE KEY `craft_assettransforms_handle_unq_idx` (`handle`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_categories
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_categories`;

CREATE TABLE `craft_categories` (
  `id` int(11) NOT NULL,
  `groupId` int(11) NOT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `craft_categories_groupId_fk` (`groupId`),
  CONSTRAINT `craft_categories_groupId_fk` FOREIGN KEY (`groupId`) REFERENCES `craft_categorygroups` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_categories_id_fk` FOREIGN KEY (`id`) REFERENCES `craft_elements` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_categorygroups
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_categorygroups`;

CREATE TABLE `craft_categorygroups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `structureId` int(11) NOT NULL,
  `fieldLayoutId` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `handle` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `hasUrls` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `template` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_categorygroups_name_unq_idx` (`name`),
  UNIQUE KEY `craft_categorygroups_handle_unq_idx` (`handle`),
  KEY `craft_categorygroups_structureId_fk` (`structureId`),
  KEY `craft_categorygroups_fieldLayoutId_fk` (`fieldLayoutId`),
  CONSTRAINT `craft_categorygroups_fieldLayoutId_fk` FOREIGN KEY (`fieldLayoutId`) REFERENCES `craft_fieldlayouts` (`id`) ON DELETE SET NULL,
  CONSTRAINT `craft_categorygroups_structureId_fk` FOREIGN KEY (`structureId`) REFERENCES `craft_structures` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_categorygroups_i18n
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_categorygroups_i18n`;

CREATE TABLE `craft_categorygroups_i18n` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `groupId` int(11) NOT NULL,
  `locale` char(12) COLLATE utf8_unicode_ci NOT NULL,
  `urlFormat` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `nestedUrlFormat` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_categorygroups_i18n_groupId_locale_unq_idx` (`groupId`,`locale`),
  KEY `craft_categorygroups_i18n_locale_fk` (`locale`),
  CONSTRAINT `craft_categorygroups_i18n_groupId_fk` FOREIGN KEY (`groupId`) REFERENCES `craft_categorygroups` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_categorygroups_i18n_locale_fk` FOREIGN KEY (`locale`) REFERENCES `craft_locales` (`locale`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_content
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_content`;

CREATE TABLE `craft_content` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `elementId` int(11) NOT NULL,
  `locale` char(12) COLLATE utf8_unicode_ci NOT NULL,
  `title` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `field_body` text COLLATE utf8_unicode_ci,
  `field_recipeSnapshot` text COLLATE utf8_unicode_ci,
  `field_recipeTagline` text COLLATE utf8_unicode_ci,
  `field_originalBrewDate` datetime DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_content_elementId_locale_unq_idx` (`elementId`,`locale`),
  KEY `craft_content_title_idx` (`title`),
  KEY `craft_content_locale_fk` (`locale`),
  CONSTRAINT `craft_content_elementId_fk` FOREIGN KEY (`elementId`) REFERENCES `craft_elements` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_content_locale_fk` FOREIGN KEY (`locale`) REFERENCES `craft_locales` (`locale`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_content` WRITE;
/*!40000 ALTER TABLE `craft_content` DISABLE KEYS */;

INSERT INTO `craft_content` (`id`, `elementId`, `locale`, `title`, `field_body`, `field_recipeSnapshot`, `field_recipeTagline`, `field_originalBrewDate`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,1,'en_us',NULL,NULL,NULL,NULL,NULL,'2015-06-08 02:02:35','2015-09-18 19:49:19','0fd09a4b-31ea-4c98-82d7-5c6830919b3e'),
	(2,2,'en_us','Welcome to Craftybrewery.dev!','<p>It’s true, this site doesn’t have a whole lot of content yet, but don’t worry. Our web developers have just installed the CMS, and they’re setting things up for the content editors this very moment. Soon Craftybrewery.dev will be an oasis of fresh perspectives, sharp analyses, and astute opinions that will keep you coming back again and again.</p>',NULL,NULL,NULL,'2015-06-08 02:02:39','2015-06-08 02:02:39','3ab6c6df-ca91-48cb-be22-02233a1a9339'),
	(3,3,'en_us','We just installed Craft!','<p>Craft is the CMS that’s powering Craftybrewery.dev. It’s beautiful, powerful, flexible, and easy-to-use, and it’s made by Pixel &amp; Tonic. We can’t wait to dive in and see what it’s capable of!</p><!--pagebreak--><p>This is even more captivating content, which you couldn’t see on the News index page because it was entered after a Page Break, and the News index template only likes to show the content on the first page.</p><p>Craft: a nice alternative to Word, if you’re making a website.</p>',NULL,NULL,NULL,'2015-06-08 02:02:39','2015-06-08 02:02:39','000de14a-c85c-4617-908e-cd6b7ad481e7'),
	(5,5,'en_us','Unabridged Stout',NULL,'[{\"col1\":\"Difficulty: Experienced homebrewers\"},{\"col1\":\"Yield: 10 gallons\"},{\"col1\":\"Cost: $$$\"},{\"col1\":\"Time required: 6 hours\"}]','Creamy, dark and velvety. This one you could have for both breakfast and dessert.','2015-06-01 00:00:00','2015-06-08 02:41:38','2015-09-11 13:34:49','818668eb-ed34-46c6-949b-2aba5442a8e6'),
	(9,33,'en_us','Mijingo Double IPA',NULL,'[{\"col1\":\"Snapshot\"}]','An IPA that helps you learn something new.','2015-06-17 00:00:00','2015-06-17 14:52:05','2015-09-11 14:30:20','a82bf38f-0d8a-4ebf-8963-0d2a9adf2e3f'),
	(34,59,'en_us','dark-horse-tres-blueberry-stout-2',NULL,NULL,NULL,NULL,'2015-06-17 17:35:01','2015-06-17 17:35:01','bfcc3596-31c8-4830-bf1b-1de4d03672c4'),
	(35,60,'en_us','stout',NULL,NULL,NULL,NULL,'2015-06-17 17:35:28','2015-06-17 17:35:28','1b0bc4db-1840-40ef-9f4c-1a0ca3d9b274'),
	(36,61,'en_us','stout-in-pot',NULL,NULL,NULL,NULL,'2015-06-17 17:35:49','2015-06-17 17:35:49','24b78180-7263-4979-b1fa-443a7f9e80fa'),
	(37,62,'en_us','IMG 20130908 074755 628-e1378848325489',NULL,NULL,NULL,NULL,'2015-06-17 17:37:55','2015-06-17 17:37:55','608ee06e-7229-481e-842f-7d551b0d1708'),
	(40,65,'en_us','stout',NULL,NULL,NULL,NULL,'2015-06-17 20:02:15','2015-06-17 20:02:15','8eb26abd-fdfd-4a73-94e8-7fda4c718312'),
	(41,66,'en_us','IMG 20130908 074755 628-e1378848325489',NULL,NULL,NULL,NULL,'2015-06-17 20:03:33','2015-06-17 20:03:33','4621bd99-ebcd-46d9-92f8-33e0312780bd'),
	(42,67,'en_us','Test Page',NULL,NULL,NULL,NULL,'2015-06-22 15:44:56','2015-06-22 15:45:48','1a83ee47-2dfd-477f-8a95-60db6f780485'),
	(50,75,'en_us','Contact',NULL,NULL,NULL,NULL,'2015-09-11 03:06:14','2015-09-11 03:06:14','5807ca1c-e9f5-4b8c-a4f5-a87ced262595');

/*!40000 ALTER TABLE `craft_content` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_deprecationerrors
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_deprecationerrors`;

CREATE TABLE `craft_deprecationerrors` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `key` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `fingerprint` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `lastOccurrence` datetime NOT NULL,
  `file` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `line` smallint(6) unsigned NOT NULL,
  `class` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `method` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `template` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `templateLine` smallint(6) unsigned DEFAULT NULL,
  `message` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `traces` text COLLATE utf8_unicode_ci,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_deprecationerrors_key_fingerprint_unq_idx` (`key`,`fingerprint`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_elements
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_elements`;

CREATE TABLE `craft_elements` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(150) COLLATE utf8_unicode_ci NOT NULL,
  `enabled` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `archived` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `craft_elements_type_idx` (`type`),
  KEY `craft_elements_enabled_idx` (`enabled`),
  KEY `craft_elements_archived_dateCreated_idx` (`archived`,`dateCreated`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_elements` WRITE;
/*!40000 ALTER TABLE `craft_elements` DISABLE KEYS */;

INSERT INTO `craft_elements` (`id`, `type`, `enabled`, `archived`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,'User',1,0,'2015-06-08 02:02:35','2015-09-18 19:49:19','9de53d68-2176-4472-b584-f14b922f40ce'),
	(2,'Entry',1,0,'2015-06-08 02:02:39','2015-06-08 02:02:39','008da598-97e4-4cc4-a513-3f42d4b54c4a'),
	(3,'Entry',1,0,'2015-06-08 02:02:39','2015-06-08 02:02:39','e4213000-c567-46c9-981a-27b213c1308f'),
	(5,'Entry',1,0,'2015-06-08 02:41:38','2015-09-11 13:34:49','ada41d0a-d061-4b8f-9235-f0fa4dbefda0'),
	(22,'MatrixBlock',1,0,'2015-06-08 20:26:37','2015-09-11 13:34:49','1781ab80-9a68-4864-9a48-ad21ad37130d'),
	(23,'MatrixBlock',1,0,'2015-06-08 20:26:37','2015-09-11 13:34:49','8972e940-7f13-4b35-b3b3-33482f1584d6'),
	(24,'MatrixBlock',1,0,'2015-06-08 20:26:37','2015-09-11 13:34:49','692340cd-8f3d-42f2-9f67-8c96c3ca8f1a'),
	(25,'MatrixBlock',1,0,'2015-06-08 20:26:37','2015-09-11 13:34:49','86ed1efe-426b-46ec-9932-e537af9f234e'),
	(26,'MatrixBlock',1,0,'2015-06-08 20:26:37','2015-09-11 13:34:49','b159240d-8bf1-4d52-93b0-48d0c61f3d49'),
	(27,'MatrixBlock',1,0,'2015-06-08 20:26:37','2015-09-11 13:34:49','f8547688-c3e0-4524-aeba-077f931c3ed3'),
	(28,'MatrixBlock',1,0,'2015-06-08 20:26:37','2015-09-11 13:34:49','9e5ac81f-a050-43c3-b754-141af0c8eda7'),
	(29,'MatrixBlock',1,0,'2015-06-08 20:26:37','2015-09-11 13:34:49','4b95e7a5-0d88-42cf-801c-00c88cdb4e38'),
	(30,'MatrixBlock',1,0,'2015-06-08 20:26:37','2015-09-11 13:34:49','fc15aeaa-318f-4724-80fd-5c2c751b26eb'),
	(31,'MatrixBlock',1,0,'2015-06-08 20:26:37','2015-09-11 13:34:49','2a515db5-a36a-4e9d-98cc-99af55fe9448'),
	(32,'MatrixBlock',1,0,'2015-06-08 20:26:37','2015-09-11 13:34:49','b5312b74-146e-4af2-8886-d53a2d11751a'),
	(33,'Entry',1,0,'2015-06-17 14:52:05','2015-09-11 14:30:20','a2f2b26a-4f3b-4e26-9906-c21bb5b8d3d7'),
	(34,'MatrixBlock',1,0,'2015-06-17 14:52:05','2015-09-11 14:30:20','209f8d32-d985-4693-8458-36606b761e1e'),
	(59,'Asset',1,0,'2015-06-17 17:35:01','2015-06-17 17:35:01','d566106f-e87c-4998-9640-93f7c94d2b2d'),
	(60,'Asset',1,0,'2015-06-17 17:35:28','2015-06-17 17:35:28','b3679889-8401-45e5-80dd-458b89c46805'),
	(61,'Asset',1,0,'2015-06-17 17:35:49','2015-06-17 17:35:49','2f91c97c-5124-4631-b072-97f452978fc2'),
	(62,'Asset',1,0,'2015-06-17 17:37:55','2015-06-17 17:37:55','ad3cfe97-fd40-467c-ae01-23b83070b4f1'),
	(65,'Asset',1,0,'2015-06-17 20:02:15','2015-06-17 20:02:15','04354f1b-34d5-4258-805f-b065e43b4642'),
	(66,'Asset',1,0,'2015-06-17 20:03:33','2015-06-17 20:03:33','726ce945-2cfc-4687-9421-61d27b3d0263'),
	(67,'Entry',1,0,'2015-06-22 15:44:56','2015-06-22 15:45:48','d152aa1d-5e69-4afb-aecc-681c62300ec7'),
	(75,'Entry',1,0,'2015-09-11 03:06:14','2015-09-11 03:06:14','f39a734e-b859-408f-a978-f5b378a0b396');

/*!40000 ALTER TABLE `craft_elements` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_elements_i18n
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_elements_i18n`;

CREATE TABLE `craft_elements_i18n` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `elementId` int(11) NOT NULL,
  `locale` char(12) COLLATE utf8_unicode_ci NOT NULL,
  `slug` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `uri` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `enabled` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_elements_i18n_elementId_locale_unq_idx` (`elementId`,`locale`),
  UNIQUE KEY `craft_elements_i18n_uri_locale_unq_idx` (`uri`,`locale`),
  KEY `craft_elements_i18n_slug_locale_idx` (`slug`,`locale`),
  KEY `craft_elements_i18n_enabled_idx` (`enabled`),
  KEY `craft_elements_i18n_locale_fk` (`locale`),
  CONSTRAINT `craft_elements_i18n_elementId_fk` FOREIGN KEY (`elementId`) REFERENCES `craft_elements` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_elements_i18n_locale_fk` FOREIGN KEY (`locale`) REFERENCES `craft_locales` (`locale`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_elements_i18n` WRITE;
/*!40000 ALTER TABLE `craft_elements_i18n` DISABLE KEYS */;

INSERT INTO `craft_elements_i18n` (`id`, `elementId`, `locale`, `slug`, `uri`, `enabled`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,1,'en_us','',NULL,1,'2015-06-08 02:02:35','2015-09-18 19:49:19','ac10a34d-d7d7-473a-825b-84419955610b'),
	(2,2,'en_us','homepage','__home__',1,'2015-06-08 02:02:39','2015-06-08 02:02:39','2fe69408-e925-4d8e-ad34-9692d836c19e'),
	(3,3,'en_us','we-just-installed-craft','news/2015/we-just-installed-craft',1,'2015-06-08 02:02:39','2015-06-08 02:02:39','db2edb87-e11d-49c2-9703-f7783872dd02'),
	(5,5,'en_us','unabridged-stout','recipes/unabridged-stout',1,'2015-06-08 02:41:39','2015-09-11 13:34:49','37180c2a-2aa1-4476-9b37-704e945040c0'),
	(22,22,'en_us','',NULL,1,'2015-06-08 20:26:37','2015-09-11 13:34:49','6684f4ee-3774-4c8a-ab03-eb4ba640e915'),
	(23,23,'en_us','',NULL,1,'2015-06-08 20:26:37','2015-09-11 13:34:49','28b372f1-5b77-4099-9294-145d058012cc'),
	(24,24,'en_us','',NULL,1,'2015-06-08 20:26:37','2015-09-11 13:34:49','155d6bb6-57b0-47da-b0ba-ac3ad4371656'),
	(25,25,'en_us','',NULL,1,'2015-06-08 20:26:37','2015-09-11 13:34:49','33b736e5-b2a5-41ec-9417-0e913056e15f'),
	(26,26,'en_us','',NULL,1,'2015-06-08 20:26:37','2015-09-11 13:34:49','ddae52f5-42f8-47d7-8c98-8fdb96ffed3c'),
	(27,27,'en_us','',NULL,1,'2015-06-08 20:26:37','2015-09-11 13:34:49','776dd06d-7235-41ae-b7e2-f5a5439c25f4'),
	(28,28,'en_us','',NULL,1,'2015-06-08 20:26:37','2015-09-11 13:34:49','1e015636-b984-46a2-acfd-98268f9c7f60'),
	(29,29,'en_us','',NULL,1,'2015-06-08 20:26:37','2015-09-11 13:34:49','ce9d1281-0429-4a3c-b314-12c030aa4d8b'),
	(30,30,'en_us','',NULL,1,'2015-06-08 20:26:37','2015-09-11 13:34:49','0a22bcb5-b025-4aac-9b6f-a6ea4d9f145e'),
	(31,31,'en_us','',NULL,1,'2015-06-08 20:26:37','2015-09-11 13:34:49','ad15115d-9a5b-4169-9023-020d4673dbf0'),
	(32,32,'en_us','',NULL,1,'2015-06-08 20:26:37','2015-09-11 13:34:49','5ba7fc3f-bcfb-4e71-b30a-418bccbb81ad'),
	(33,33,'en_us','mijingo-double-ipa','recipes/mijingo-double-ipa',1,'2015-06-17 14:52:05','2015-09-11 14:30:20','07361d53-3c66-4196-a7e8-5faebd289038'),
	(34,34,'en_us','',NULL,1,'2015-06-17 14:52:05','2015-09-11 14:30:20','b4ee5d05-7f9e-4f6c-bcfa-4ef336f407c6'),
	(59,59,'en_us','dark-horse-tres-blueberry-stout-2',NULL,1,'2015-06-17 17:35:01','2015-06-17 17:35:01','ea37bfc0-6e52-4397-9507-e4c9b38bc41e'),
	(60,60,'en_us','stout',NULL,1,'2015-06-17 17:35:28','2015-06-17 17:35:28','81aa3e54-9b77-4f70-b1a4-d5ef78421d7a'),
	(61,61,'en_us','stout-in-pot',NULL,1,'2015-06-17 17:35:49','2015-06-17 17:35:49','47725df8-d1bc-42de-9b2b-28153ac5ae25'),
	(62,62,'en_us','img-20130908-074755-628-e1378848325489',NULL,1,'2015-06-17 17:37:55','2015-06-17 17:37:55','199a1b63-20bc-4626-81d8-1cc381b1ed99'),
	(65,65,'en_us','stout',NULL,1,'2015-06-17 20:02:15','2015-06-17 20:02:15','c502c9d3-ec9d-4db6-a3ed-520248282f6c'),
	(66,66,'en_us','img-20130908-074755-628-e1378848325489',NULL,1,'2015-06-17 20:03:33','2015-06-17 20:03:33','248cdcf7-5cfc-4a60-9f92-4156b4233f5f'),
	(67,67,'en_us','test','pages/test',1,'2015-06-22 15:44:56','2015-06-22 15:45:48','4cd20f58-39b9-4ee2-8d4f-ec9600523c9e'),
	(75,75,'en_us','contact','contact',1,'2015-09-11 03:06:14','2015-09-11 03:06:14','701a0d45-11da-49ed-bcff-6c96541a605e');

/*!40000 ALTER TABLE `craft_elements_i18n` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_emailmessages
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_emailmessages`;

CREATE TABLE `craft_emailmessages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `key` char(150) COLLATE utf8_unicode_ci NOT NULL,
  `locale` char(12) COLLATE utf8_unicode_ci NOT NULL,
  `subject` varchar(1000) COLLATE utf8_unicode_ci NOT NULL,
  `body` text COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_emailmessages_key_locale_unq_idx` (`key`,`locale`),
  KEY `craft_emailmessages_locale_fk` (`locale`),
  CONSTRAINT `craft_emailmessages_locale_fk` FOREIGN KEY (`locale`) REFERENCES `craft_locales` (`locale`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_entries
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_entries`;

CREATE TABLE `craft_entries` (
  `id` int(11) NOT NULL,
  `sectionId` int(11) NOT NULL,
  `typeId` int(11) DEFAULT NULL,
  `authorId` int(11) DEFAULT NULL,
  `postDate` datetime DEFAULT NULL,
  `expiryDate` datetime DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `craft_entries_sectionId_idx` (`sectionId`),
  KEY `craft_entries_typeId_idx` (`typeId`),
  KEY `craft_entries_postDate_idx` (`postDate`),
  KEY `craft_entries_expiryDate_idx` (`expiryDate`),
  KEY `craft_entries_authorId_fk` (`authorId`),
  CONSTRAINT `craft_entries_authorId_fk` FOREIGN KEY (`authorId`) REFERENCES `craft_users` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_entries_id_fk` FOREIGN KEY (`id`) REFERENCES `craft_elements` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_entries_sectionId_fk` FOREIGN KEY (`sectionId`) REFERENCES `craft_sections` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_entries_typeId_fk` FOREIGN KEY (`typeId`) REFERENCES `craft_entrytypes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_entries` WRITE;
/*!40000 ALTER TABLE `craft_entries` DISABLE KEYS */;

INSERT INTO `craft_entries` (`id`, `sectionId`, `typeId`, `authorId`, `postDate`, `expiryDate`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(2,1,NULL,NULL,'2015-06-08 02:02:39',NULL,'2015-06-08 02:02:39','2015-06-08 02:02:39','d7797c38-0d23-4c22-acfb-d60f8c7a4d35'),
	(3,2,2,1,'2015-06-08 02:02:39',NULL,'2015-06-08 02:02:39','2015-06-08 02:02:39','1031c043-beb1-4f12-99f8-841d7dd348a2'),
	(5,3,3,1,'2015-06-08 02:40:00',NULL,'2015-06-08 02:41:39','2015-09-11 13:34:49','11ae1e65-0009-49fa-8ab8-c9de310f7f2f'),
	(33,3,3,1,'2015-06-17 14:52:00',NULL,'2015-06-17 14:52:05','2015-09-11 14:30:20','cada7208-91bf-4697-a98d-b34a12052f21'),
	(67,4,4,1,'2015-06-22 15:44:00',NULL,'2015-06-22 15:44:56','2015-06-22 15:45:48','63abff29-0189-46aa-bff7-c7634b2d7952'),
	(75,6,NULL,NULL,'2015-09-11 03:06:14',NULL,'2015-09-11 03:06:14','2015-09-11 03:06:14','f72ada37-3301-41c3-8cf1-07d1301a4fb4');

/*!40000 ALTER TABLE `craft_entries` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_entrydrafts
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_entrydrafts`;

CREATE TABLE `craft_entrydrafts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entryId` int(11) NOT NULL,
  `sectionId` int(11) NOT NULL,
  `creatorId` int(11) NOT NULL,
  `locale` char(12) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `notes` tinytext COLLATE utf8_unicode_ci,
  `data` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `craft_entrydrafts_entryId_locale_idx` (`entryId`,`locale`),
  KEY `craft_entrydrafts_sectionId_fk` (`sectionId`),
  KEY `craft_entrydrafts_creatorId_fk` (`creatorId`),
  KEY `craft_entrydrafts_locale_fk` (`locale`),
  CONSTRAINT `craft_entrydrafts_creatorId_fk` FOREIGN KEY (`creatorId`) REFERENCES `craft_users` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_entrydrafts_entryId_fk` FOREIGN KEY (`entryId`) REFERENCES `craft_entries` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_entrydrafts_locale_fk` FOREIGN KEY (`locale`) REFERENCES `craft_locales` (`locale`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `craft_entrydrafts_sectionId_fk` FOREIGN KEY (`sectionId`) REFERENCES `craft_sections` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_entrytypes
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_entrytypes`;

CREATE TABLE `craft_entrytypes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sectionId` int(11) NOT NULL,
  `fieldLayoutId` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `handle` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `hasTitleField` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `titleLabel` varchar(255) COLLATE utf8_unicode_ci DEFAULT 'Title',
  `titleFormat` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `sortOrder` tinyint(4) DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_entrytypes_name_sectionId_unq_idx` (`name`,`sectionId`),
  UNIQUE KEY `craft_entrytypes_handle_sectionId_unq_idx` (`handle`,`sectionId`),
  KEY `craft_entrytypes_sectionId_fk` (`sectionId`),
  KEY `craft_entrytypes_fieldLayoutId_fk` (`fieldLayoutId`),
  CONSTRAINT `craft_entrytypes_fieldLayoutId_fk` FOREIGN KEY (`fieldLayoutId`) REFERENCES `craft_fieldlayouts` (`id`) ON DELETE SET NULL,
  CONSTRAINT `craft_entrytypes_sectionId_fk` FOREIGN KEY (`sectionId`) REFERENCES `craft_sections` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_entrytypes` WRITE;
/*!40000 ALTER TABLE `craft_entrytypes` DISABLE KEYS */;

INSERT INTO `craft_entrytypes` (`id`, `sectionId`, `fieldLayoutId`, `name`, `handle`, `hasTitleField`, `titleLabel`, `titleFormat`, `sortOrder`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,1,3,'Homepage','homepage',1,'Title',NULL,NULL,'2015-06-08 02:02:39','2015-06-08 02:02:39','888f7164-0c5b-4ce2-8c45-009ab79ed326'),
	(2,2,5,'News','news',1,'Title',NULL,NULL,'2015-06-08 02:02:39','2015-06-08 02:02:39','044890f0-bda9-4102-b9f6-dc193b28ad83'),
	(3,3,49,'Recipes','recipes',1,'Title',NULL,NULL,'2015-06-08 02:11:27','2015-06-08 20:22:39','12468e9d-0800-4f0f-9a4c-d530206796cd'),
	(4,4,85,'Pages','pages',1,'Title',NULL,NULL,'2015-06-22 15:44:45','2015-06-22 15:44:45','eea3fda3-c9e8-483b-8cbf-30295f92420a'),
	(5,5,91,'About','about',1,'Title',NULL,NULL,'2015-09-11 03:05:03','2015-09-11 03:05:03','98d29ceb-3eeb-4596-9a95-60b92df39bf4'),
	(6,6,92,'Contact','contact',0,NULL,'{section.name|raw}',NULL,'2015-09-11 03:06:14','2015-09-11 03:06:14','07c71ec1-c86f-4569-ab31-58b143ebaaf4');

/*!40000 ALTER TABLE `craft_entrytypes` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_entryversions
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_entryversions`;

CREATE TABLE `craft_entryversions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entryId` int(11) NOT NULL,
  `sectionId` int(11) NOT NULL,
  `creatorId` int(11) DEFAULT NULL,
  `locale` char(12) COLLATE utf8_unicode_ci NOT NULL,
  `num` smallint(6) unsigned NOT NULL,
  `notes` tinytext COLLATE utf8_unicode_ci,
  `data` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `craft_entryversions_entryId_locale_idx` (`entryId`,`locale`),
  KEY `craft_entryversions_sectionId_fk` (`sectionId`),
  KEY `craft_entryversions_creatorId_fk` (`creatorId`),
  KEY `craft_entryversions_locale_fk` (`locale`),
  CONSTRAINT `craft_entryversions_creatorId_fk` FOREIGN KEY (`creatorId`) REFERENCES `craft_users` (`id`) ON DELETE SET NULL,
  CONSTRAINT `craft_entryversions_entryId_fk` FOREIGN KEY (`entryId`) REFERENCES `craft_entries` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_entryversions_locale_fk` FOREIGN KEY (`locale`) REFERENCES `craft_locales` (`locale`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `craft_entryversions_sectionId_fk` FOREIGN KEY (`sectionId`) REFERENCES `craft_sections` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_entryversions` WRITE;
/*!40000 ALTER TABLE `craft_entryversions` DISABLE KEYS */;

INSERT INTO `craft_entryversions` (`id`, `entryId`, `sectionId`, `creatorId`, `locale`, `num`, `notes`, `data`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,5,3,1,'en_us',1,'','{\"typeId\":null,\"authorId\":\"1\",\"title\":\"Unabridged Stout\",\"slug\":\"unabridged-stout\",\"postDate\":1433731200,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"3\":{\"new1\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"The final product. Deeeelicious!\"}},\"new2\":{\"type\":\"recipeIngredients\",\"enabled\":\"1\",\"fields\":{\"ingredients\":[{\"col1\":\"1 cup\",\"col2\":\"Something here\"},{\"col1\":\"2 lb\",\"col2\":\"hops\"},{\"col1\":\"2 gallons\",\"col2\":\"filtered water\"}]}},\"new3\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"Don\'t forget to clean your equipment.\"}},\"new4\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}}}}}','2015-06-08 02:41:39','2015-06-08 02:41:39','18e6b038-d69d-444a-9d21-9b1b4abb4d7c'),
	(2,5,3,1,'en_us',2,'','{\"typeId\":\"3\",\"authorId\":\"1\",\"title\":\"Unabridged Stout\",\"slug\":\"unabridged-stout\",\"postDate\":1433731200,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"3\":{\"6\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"The final product. Deeeelicious!\"}},\"7\":{\"type\":\"recipeIngredients\",\"enabled\":\"1\",\"fields\":{\"ingredients\":[{\"col1\":\"1 cup\",\"col2\":\"Something here\"},{\"col1\":\"2 lb\",\"col2\":\"hops\"},{\"col1\":\"2 gallons\",\"col2\":\"filtered water\"}]}},\"8\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"Don\'t forget to clean your equipment.\"}},\"9\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"new1\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"The finished beer.\"}},\"new2\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"This beer style is best aged.\"}},\"new3\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Brewing\",\"stepsSteps\":[{\"col1\":\"Boil the water to 230 degrees.\"},{\"col1\":\"Add the can of extract and boil for 10 minutes.\"}]}},\"new5\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}},\"new4\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Preparation\",\"stepsSteps\":[{\"col1\":\"Clean the equipment.\"},{\"col1\":\"Gather your ingredients.\"}]}},\"new6\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"new7\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"Enjoy this tasty brew!\"}}}}}','2015-06-08 14:57:02','2015-06-08 14:57:02','fa477444-a75b-404d-8cbe-367d4b2feb99'),
	(3,5,3,1,'en_us',3,'','{\"typeId\":\"3\",\"authorId\":\"1\",\"title\":\"Unabridged Stout\",\"slug\":\"unabridged-stout\",\"postDate\":1433731200,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"3\":{\"6\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"The final product. Deeeelicious!\"}},\"7\":{\"type\":\"recipeIngredients\",\"enabled\":\"1\",\"fields\":{\"ingredients\":[{\"col1\":\"1 cup\",\"col2\":\"Something here\"},{\"col1\":\"2 lb\",\"col2\":\"hops\"},{\"col1\":\"2 gallons\",\"col2\":\"filtered water\"}]}},\"8\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"Don\'t forget to clean your equipment.\"}},\"9\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"10\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"The finished beer.\"}},\"11\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"This beer style is best aged.\"}},\"12\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Brewing\",\"stepsSteps\":[{\"col1\":\"Boil the water to 230 degrees.\"},{\"col1\":\"Add the can of extract and boil for 10 minutes.\"}]}},\"13\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}},\"14\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Preparation\",\"stepsSteps\":[{\"col1\":\"Clean the equipment.\"},{\"col1\":\"Gather your ingredients.\"}]}},\"15\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"16\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"Enjoy this tasty brew!\"}}},\"9\":[{\"col1\":\"Difficulty: Experienced homebrewers\"},{\"col1\":\"Yield: 10 gallons\"},{\"col1\":\"Cost: $$$\"},{\"col1\":\"Time required: 6 hours\"}],\"10\":\"Creamy, dark and velvety. This one you could have for both breakfast and dessert.\"}}','2015-06-08 15:10:02','2015-06-08 15:10:02','ca4a6020-26d7-4f70-a2e9-3a1d0c28d48e'),
	(4,5,3,1,'en_us',4,'','{\"typeId\":\"3\",\"authorId\":\"1\",\"title\":\"Unabridged Stout\",\"slug\":\"unabridged-stout\",\"postDate\":1433731200,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"3\":{\"6\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"The final product. Deeeelicious!\"}},\"7\":{\"type\":\"recipeIngredients\",\"enabled\":\"1\",\"fields\":{\"ingredients\":[{\"col1\":\"1 cup\",\"col2\":\"Something here\"},{\"col1\":\"2 lb\",\"col2\":\"hops\"},{\"col1\":\"2 gallons\",\"col2\":\"filtered water\"}]}},\"8\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"Don\'t forget to clean your equipment.\"}},\"9\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"10\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"The finished beer.\"}},\"12\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Brewing\",\"stepsSteps\":[{\"col1\":\"Boil the water to 230 degrees.\"},{\"col1\":\"Add the can of extract and boil for 10 minutes.\"}]}},\"11\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"This beer style is best aged.\"}},\"13\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}},\"14\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Preparation\",\"stepsSteps\":[{\"col1\":\"Clean the equipment.\"},{\"col1\":\"Gather your ingredients.\"}]}},\"15\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"16\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"Enjoy this tasty brew!\"}}},\"9\":[{\"col1\":\"Difficulty: Experienced homebrewers\"},{\"col1\":\"Yield: 10 gallons\"},{\"col1\":\"Cost: $$$\"},{\"col1\":\"Time required: 6 hours\"}],\"10\":\"Creamy, dark and velvety. This one you could have for both breakfast and dessert.\"}}','2015-06-08 16:01:10','2015-06-08 16:01:10','f0c7b44b-770f-4671-8f96-9a5a89775ae8'),
	(5,5,3,1,'en_us',5,'','{\"typeId\":\"3\",\"authorId\":\"1\",\"title\":\"Unabridged Stout\",\"slug\":\"unabridged-stout\",\"postDate\":1433731200,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"3\":{\"6\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"The final product. Deeeelicious!\"}},\"7\":{\"type\":\"recipeIngredients\",\"enabled\":\"1\",\"fields\":{\"ingredients\":[{\"col1\":\"1 cup\",\"col2\":\"Something here\"},{\"col1\":\"2 lb\",\"col2\":\"hops\"},{\"col1\":\"2 gallons\",\"col2\":\"filtered water\"}]}},\"8\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"Don\'t forget to clean your equipment.\"}},\"9\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"10\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"The finished beer.\"}},\"12\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Brewing\",\"stepsSteps\":[{\"col1\":\"Boil the water to 230 degrees.\"},{\"col1\":\"Add the can of extract and boil for 10 minutes.\"}]}},\"11\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"This beer style is best aged.\"}},\"13\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}},\"14\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Preparation\",\"stepsSteps\":[{\"col1\":\"Clean the equipment.\"},{\"col1\":\"Gather your ingredients.\"}]}},\"15\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"16\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"Enjoy this tasty brew!\"}}},\"9\":[{\"col1\":\"Difficulty: Experienced homebrewers\"},{\"col1\":\"Yield: 10 gallons\"},{\"col1\":\"Cost: $$$\"},{\"col1\":\"Time required: 6 hours\"}],\"10\":\"Creamy, dark and velvety. This one you could have for both breakfast and dessert.\"}}','2015-06-08 16:01:17','2015-06-08 16:01:17','d983aef9-3bfe-49ea-b366-68a48cd1e265'),
	(6,5,3,1,'en_us',6,'','{\"typeId\":\"3\",\"authorId\":\"1\",\"title\":\"Unabridged Stout\",\"slug\":\"unabridged-stout\",\"postDate\":1433731200,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"3\":{\"6\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"The final product. Deeeelicious!\"}},\"7\":{\"type\":\"recipeIngredients\",\"enabled\":\"1\",\"fields\":{\"ingredients\":[{\"col1\":\"1 cup\",\"col2\":\"Something here\"},{\"col1\":\"2 lb\",\"col2\":\"hops\"},{\"col1\":\"2 gallons\",\"col2\":\"filtered water\"}]}},\"8\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"Don\'t forget to clean your equipment.\"}},\"9\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"10\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"The finished beer.\"}},\"12\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Brewing\",\"stepsSteps\":[{\"col1\":\"Boil the water to 230 degrees.\"},{\"col1\":\"Add the can of extract and boil for 10 minutes.\"}]}},\"11\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"This beer style is best aged.\"}},\"13\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}},\"14\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Preparation\",\"stepsSteps\":[{\"col1\":\"Clean the equipment.\"},{\"col1\":\"Gather your ingredients.\"}]}},\"15\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"16\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"Enjoy this tasty brew!\"}},\"new1\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}}},\"9\":[{\"col1\":\"Difficulty: Experienced homebrewers\"},{\"col1\":\"Yield: 10 gallons\"},{\"col1\":\"Cost: $$$\"},{\"col1\":\"Time required: 6 hours\"}],\"10\":\"Creamy, dark and velvety. This one you could have for both breakfast and dessert.\"}}','2015-06-08 16:02:40','2015-06-08 16:02:40','72cb2851-8ae1-4ba9-af49-c04203013338'),
	(7,5,3,1,'en_us',7,'','{\"typeId\":\"3\",\"authorId\":\"1\",\"title\":\"Unabridged Stout\",\"slug\":\"unabridged-stout\",\"postDate\":1433731200,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"13\":{\"date\":\"6\\/1\\/2015\"},\"3\":{\"6\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"The final product. Deeeelicious!\"}},\"7\":{\"type\":\"recipeIngredients\",\"enabled\":\"1\",\"fields\":{\"ingredients\":[{\"col1\":\"1 cup\",\"col2\":\"Something here\"},{\"col1\":\"2 lb\",\"col2\":\"hops\"},{\"col1\":\"2 gallons\",\"col2\":\"filtered water\"}]}},\"8\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"Don\'t forget to clean your equipment.\"}},\"9\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"10\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"The finished beer.\"}},\"12\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Brewing\",\"stepsSteps\":[{\"col1\":\"Boil the water to 230 degrees.\"},{\"col1\":\"Add the can of extract and boil for 10 minutes.\"}]}},\"11\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"This beer style is best aged.\"}},\"13\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}},\"14\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Preparation\",\"stepsSteps\":[{\"col1\":\"Clean the equipment.\"},{\"col1\":\"Gather your ingredients.\"}]}},\"15\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"16\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"Enjoy this tasty brew!\"}},\"17\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}}},\"9\":[{\"col1\":\"Difficulty: Experienced homebrewers\"},{\"col1\":\"Yield: 10 gallons\"},{\"col1\":\"Cost: $$$\"},{\"col1\":\"Time required: 6 hours\"}],\"10\":\"Creamy, dark and velvety. This one you could have for both breakfast and dessert.\",\"14\":\"American Stout\"}}','2015-06-08 16:48:17','2015-06-08 16:48:17','ee01285b-4055-4655-a3f7-95f8f5278516'),
	(8,5,3,1,'en_us',8,'','{\"typeId\":\"3\",\"authorId\":\"1\",\"title\":\"Unabridged Stout\",\"slug\":\"unabridged-stout\",\"postDate\":1433731200,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"13\":{\"date\":\"6\\/1\\/2015\"},\"3\":{\"6\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"The final product. Deeeelicious!\"}},\"7\":{\"type\":\"recipeIngredients\",\"enabled\":\"1\",\"fields\":{\"ingredients\":[{\"col1\":\"1 cup\",\"col2\":\"Something here\"},{\"col1\":\"2 lb\",\"col2\":\"hops\"},{\"col1\":\"2 gallons\",\"col2\":\"filtered water\"}]}},\"8\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"Don\'t forget to clean your equipment.\"}},\"9\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"10\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"18\"],\"imageCaption\":\"Cooking lik a boss.\"}},\"12\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Brewing\",\"stepsSteps\":[{\"col1\":\"Boil the water to 230 degrees.\"},{\"col1\":\"Add the can of extract and boil for 10 minutes.\"}]}},\"11\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"This beer style is best aged.\"}},\"13\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}},\"14\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Preparation\",\"stepsSteps\":[{\"col1\":\"Clean the equipment.\"},{\"col1\":\"Gather your ingredients.\"}]}},\"15\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"16\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"Enjoy this tasty brew!\"}},\"17\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}}},\"9\":[{\"col1\":\"Difficulty: Experienced homebrewers\"},{\"col1\":\"Yield: 10 gallons\"},{\"col1\":\"Cost: $$$\"},{\"col1\":\"Time required: 6 hours\"}],\"10\":\"Creamy, dark and velvety. This one you could have for both breakfast and dessert.\",\"14\":\"American Stout\"}}','2015-06-08 18:11:45','2015-06-08 18:11:45','3ef0381f-ab9f-4a18-b4a2-9691db185a43'),
	(9,5,3,1,'en_us',9,'','{\"typeId\":\"3\",\"authorId\":\"1\",\"title\":\"Unabridged Stout\",\"slug\":\"unabridged-stout\",\"postDate\":1433731200,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"13\":{\"date\":\"6\\/1\\/2015\"},\"3\":{\"6\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"The final product. Deeeelicious!\"}},\"7\":{\"type\":\"recipeIngredients\",\"enabled\":\"1\",\"fields\":{\"ingredients\":[{\"col1\":\"1 cup\",\"col2\":\"Something here\"},{\"col1\":\"2 lb\",\"col2\":\"hops\"},{\"col1\":\"2 gallons\",\"col2\":\"filtered water\"}]}},\"8\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"Don\'t forget to clean your equipment.\"}},\"9\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"10\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"18\"],\"imageCaption\":\"Cooking lik a boss.\"}},\"12\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Brewing\",\"stepsSteps\":[{\"col1\":\"Boil the water to 230 degrees.\"},{\"col1\":\"Add the can of extract and boil for 10 minutes.\"}]}},\"11\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"This beer style is best aged.\"}},\"13\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}},\"16\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"19\"],\"imageCaption\":\"The pot you need.\"}},\"14\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Preparation\",\"stepsSteps\":[{\"col1\":\"Clean the equipment.\"},{\"col1\":\"Gather your ingredients.\"}]}},\"15\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"17\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}}},\"9\":[{\"col1\":\"Difficulty: Experienced homebrewers\"},{\"col1\":\"Yield: 10 gallons\"},{\"col1\":\"Cost: $$$\"},{\"col1\":\"Time required: 6 hours\"}],\"10\":\"Creamy, dark and velvety. This one you could have for both breakfast and dessert.\",\"14\":\"American Stout\"}}','2015-06-08 18:16:12','2015-06-08 18:16:12','ac0f2bb2-dcdc-4eca-b1fa-72bd5b0e85cd'),
	(10,5,3,1,'en_us',10,'','{\"typeId\":\"3\",\"authorId\":\"1\",\"title\":\"Unabridged Stout\",\"slug\":\"unabridged-stout\",\"postDate\":1433731200,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"13\":{\"date\":\"6\\/1\\/2015\"},\"3\":{\"6\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"The final product. Deeeelicious!\",\"imagePosition\":\"full\"}},\"7\":{\"type\":\"recipeIngredients\",\"enabled\":\"1\",\"fields\":{\"ingredients\":[{\"col1\":\"1 cup\",\"col2\":\"Something here\"},{\"col1\":\"2 lb\",\"col2\":\"hops\"},{\"col1\":\"2 gallons\",\"col2\":\"filtered water\"}]}},\"8\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"Don\'t forget to clean your equipment.\"}},\"9\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"10\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"18\"],\"imageCaption\":\"Cooking lik a boss.\",\"imagePosition\":\"full\"}},\"12\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Brewing\",\"stepsSteps\":[{\"col1\":\"Boil the water to 230 degrees.\"},{\"col1\":\"Add the can of extract and boil for 10 minutes.\"}]}},\"11\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"This beer style is best aged.\"}},\"13\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}},\"16\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"19\"],\"imageCaption\":\"The pot you need.\",\"imagePosition\":\"left\"}},\"14\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Preparation\",\"stepsSteps\":[{\"col1\":\"Clean the equipment.\"},{\"col1\":\"Gather your ingredients.\"}]}},\"15\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"17\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}}},\"9\":[{\"col1\":\"Difficulty: Experienced homebrewers\"},{\"col1\":\"Yield: 10 gallons\"},{\"col1\":\"Cost: $$$\"},{\"col1\":\"Time required: 6 hours\"}],\"10\":\"Creamy, dark and velvety. This one you could have for both breakfast and dessert.\",\"14\":\"American Stout\"}}','2015-06-08 18:27:01','2015-06-08 18:27:01','54c9e43a-3016-442d-a700-ba1de9e0190a'),
	(11,5,3,1,'en_us',11,'','{\"typeId\":\"3\",\"authorId\":\"1\",\"title\":\"Unabridged Stout\",\"slug\":\"unabridged-stout\",\"postDate\":1433731200,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"13\":{\"date\":\"6\\/1\\/2015\"},\"3\":{\"6\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"The final product. Deeeelicious!\"}},\"7\":{\"type\":\"recipeIngredients\",\"enabled\":\"1\",\"fields\":{\"ingredients\":[{\"col1\":\"1 cup\",\"col2\":\"Something here\"},{\"col1\":\"2 lb\",\"col2\":\"hops\"},{\"col1\":\"2 gallons\",\"col2\":\"filtered water\"}]}},\"8\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"Don\'t forget to clean your equipment.\"}},\"9\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"10\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"18\"],\"imageCaption\":\"Cooking lik a boss.\"}},\"12\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Brewing\",\"stepsSteps\":[{\"col1\":\"Boil the water to 230 degrees.\"},{\"col1\":\"Add the can of extract and boil for 10 minutes.\"}]}},\"11\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"This beer style is best aged.\"}},\"13\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}},\"16\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"20\"],\"imageCaption\":\"Watch you temps.\"}},\"14\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Preparation\",\"stepsSteps\":[{\"col1\":\"Clean the equipment.\"},{\"col1\":\"Gather your ingredients.\"}]}},\"15\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"17\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}}},\"9\":[{\"col1\":\"Difficulty: Experienced homebrewers\"},{\"col1\":\"Yield: 10 gallons\"},{\"col1\":\"Cost: $$$\"},{\"col1\":\"Time required: 6 hours\"}],\"10\":\"Creamy, dark and velvety. This one you could have for both breakfast and dessert.\",\"14\":\"American Stout\"}}','2015-06-08 19:20:17','2015-06-08 19:20:17','2db4735d-b4c1-47a3-a2d8-2c1d9e73c723'),
	(12,5,3,1,'en_us',12,'','{\"typeId\":\"3\",\"authorId\":\"1\",\"title\":\"Unabridged Stout\",\"slug\":\"unabridged-stout\",\"postDate\":1433731200,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"13\":{\"date\":\"6\\/1\\/2015\"},\"3\":{\"6\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"The final product. Deeeelicious!\"}},\"7\":{\"type\":\"recipeIngredients\",\"enabled\":\"1\",\"fields\":{\"ingredients\":[{\"col1\":\"1 cup\",\"col2\":\"Something here\"},{\"col1\":\"2 lb\",\"col2\":\"hops\"},{\"col1\":\"2 gallons\",\"col2\":\"filtered water\"}]}},\"new1\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}},\"8\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"Don\'t forget to clean your equipment.\"}},\"9\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"10\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"18\"],\"imageCaption\":\"Cooking lik a boss.\"}},\"12\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Brewing\",\"stepsSteps\":[{\"col1\":\"Boil the water to 230 degrees.\"},{\"col1\":\"Add the can of extract and boil for 10 minutes.\"}]}},\"11\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"This beer style is best aged.\"}},\"13\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}},\"16\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"20\"],\"imageCaption\":\"Watch you temps.\"}},\"14\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Preparation\",\"stepsSteps\":[{\"col1\":\"Clean the equipment.\"},{\"col1\":\"Gather your ingredients.\"}]}},\"15\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\"}},\"17\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}}},\"9\":[{\"col1\":\"Difficulty: Experienced homebrewers\"},{\"col1\":\"Yield: 10 gallons\"},{\"col1\":\"Cost: $$$\"},{\"col1\":\"Time required: 6 hours\"}],\"10\":\"Creamy, dark and velvety. This one you could have for both breakfast and dessert.\",\"14\":\"American Stout\"}}','2015-06-08 20:02:03','2015-06-08 20:02:03','dc1b8c85-9b38-46ed-bcb6-e0a6f0a63ac7'),
	(13,5,3,1,'en_us',13,'','{\"typeId\":\"3\",\"authorId\":\"1\",\"title\":\"Unabridged Stout\",\"slug\":\"unabridged-stout\",\"postDate\":1433731200,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"13\":{\"date\":\"6\\/1\\/2015\"},\"15\":{\"new1\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"The frothy finished product.\"}},\"new3\":{\"type\":\"recipeIngredients\",\"enabled\":\"1\",\"fields\":{\"ingredients\":[{\"col1\":\"1 cup\",\"col2\":\"sugar\"},{\"col1\":\"1 can\",\"col2\":\"Stout extract\"},{\"col1\":\"5 gallons\",\"col2\":\"water\"}]}},\"new2\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.\\r\\n<\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?\\r\\n<\\/p>\"}},\"new4\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"Don\'t forget to clean your equipment!\"}},\"new5\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Preparation\",\"stepsSteps\":[{\"col1\":\"Clean your workspace.\"},{\"col1\":\"Clean your equipment thoroughly.\"},{\"col1\":\"Double-check your ingredient list.\"},{\"col1\":\"Open a beverage (preferably a beer!)\"}]}},\"new6\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br>\\r\\n<\\/p>\"}},\"new7\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"20\"],\"imageCaption\":\"Stout in a pot.\"}},\"new8\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Brewing\",\"stepsSteps\":[{\"col1\":\"Step one goes here.\"},{\"col1\":\"Step 2 goes here.\"},{\"col1\":\"Step 3 goes here.\"}]}},\"new9\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.\\r\\n<\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?\\r\\n<\\/p>\"}},\"new10\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"18\"],\"imageCaption\":\"Cooking!\"}},\"new11\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br>\\r\\n<\\/p>\"}}},\"9\":[{\"col1\":\"Difficulty: Experienced homebrewers\"},{\"col1\":\"Yield: 10 gallons\"},{\"col1\":\"Cost: $$$\"},{\"col1\":\"Time required: 6 hours\"}],\"10\":\"Creamy, dark and velvety. This one you could have for both breakfast and dessert.\",\"14\":\"American Stout\"}}','2015-06-08 20:26:37','2015-06-08 20:26:37','a58dce45-1662-496d-bcf4-e18e9a4f6e15'),
	(14,5,3,1,'en_us',14,'','{\"typeId\":\"3\",\"authorId\":\"1\",\"title\":\"Unabridged Stout\",\"slug\":\"unabridged-stout\",\"postDate\":1433731200,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"13\":{\"date\":\"6\\/1\\/2015\"},\"15\":{\"22\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"4\"],\"imageCaption\":\"The frothy finished product.\"}},\"23\":{\"type\":\"recipeIngredients\",\"enabled\":\"1\",\"fields\":{\"ingredients\":[{\"col1\":\"1 cup\",\"col2\":\"sugar\"},{\"col1\":\"1 can\",\"col2\":\"Stout extract\"},{\"col1\":\"5 gallons\",\"col2\":\"water\"}]}},\"24\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.\\r\\n<\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?\\r\\n<\\/p>\"}},\"25\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"Don\'t forget to clean your equipment!\"}},\"26\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Preparation\",\"stepsSteps\":[{\"col1\":\"Clean your workspace.\"},{\"col1\":\"Clean your equipment thoroughly.\"},{\"col1\":\"Double-check your ingredient list.\"},{\"col1\":\"Open a beverage (preferably a beer!)\"}]}},\"27\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}},\"28\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"20\"],\"imageCaption\":\"Stout in a pot.\"}},\"29\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Brewing\",\"stepsSteps\":[{\"col1\":\"Step one goes here.\"},{\"col1\":\"Step 2 goes here.\"},{\"col1\":\"Step 3 goes here.\"}]}},\"30\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.\\r\\n<\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?\\r\\n<\\/p>\"}},\"31\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"18\"],\"imageCaption\":\"Cooking!\"}},\"32\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}}},\"9\":[{\"col1\":\"Difficulty: Experienced homebrewers\"},{\"col1\":\"Yield: 10 gallons\"},{\"col1\":\"Cost: $$$\"},{\"col1\":\"Time required: 6 hours\"}],\"10\":\"Creamy, dark and velvety. This one you could have for both breakfast and dessert.\",\"14\":\"American Stout\"}}','2015-06-17 14:47:01','2015-06-17 14:47:01','6390d272-fd86-4a15-b60e-e8f9d6beba9b'),
	(15,33,3,1,'en_us',1,'','{\"typeId\":null,\"authorId\":\"1\",\"title\":\"Mijingo Double IPA\",\"slug\":\"mijingo-double-ipa\",\"postDate\":1434552725,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"13\":{\"date\":\"6\\/17\\/2015\"},\"15\":{\"new1\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"18\"],\"imageCaption\":\"An image caption.\"}}},\"9\":[{\"col1\":\"Snapshot\"}],\"10\":\"An IPA that helps you learn something new.\",\"14\":\"American IPA\"}}','2015-06-17 14:52:05','2015-06-17 14:52:05','24b43124-817b-42c9-89a7-a338a8bb879a'),
	(16,33,3,1,'en_us',2,'','{\"typeId\":\"3\",\"authorId\":\"1\",\"title\":\"Mijingo Double IPA\",\"slug\":\"mijingo-double-ipa\",\"postDate\":1434552720,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"13\":{\"date\":\"6\\/17\\/2015\"},\"15\":{\"34\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"47\"],\"imageCaption\":\"An image caption.\"}}},\"9\":[{\"col1\":\"Snapshot\"}],\"10\":\"An IPA that helps you learn something new.\",\"14\":\"American IPA\"}}','2015-06-17 16:15:20','2015-06-17 16:15:20','4b8ff6bb-581a-4a32-bf91-32627102daa4'),
	(17,5,3,1,'en_us',15,'','{\"typeId\":\"3\",\"authorId\":\"1\",\"title\":\"Unabridged Stout\",\"slug\":\"unabridged-stout\",\"postDate\":1433731200,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"13\":{\"date\":\"6\\/1\\/2015\"},\"15\":{\"22\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"51\"],\"imageCaption\":\"The frothy finished product.\"}},\"23\":{\"type\":\"recipeIngredients\",\"enabled\":\"1\",\"fields\":{\"ingredients\":[{\"col1\":\"1 cup\",\"col2\":\"sugar\"},{\"col1\":\"1 can\",\"col2\":\"Stout extract\"},{\"col1\":\"5 gallons\",\"col2\":\"water\"}]}},\"24\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.\\r\\n<\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?\\r\\n<\\/p>\"}},\"25\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"Don\'t forget to clean your equipment!\"}},\"26\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Preparation\",\"stepsSteps\":[{\"col1\":\"Clean your workspace.\"},{\"col1\":\"Clean your equipment thoroughly.\"},{\"col1\":\"Double-check your ingredient list.\"},{\"col1\":\"Open a beverage (preferably a beer!)\"}]}},\"27\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}},\"28\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"57\"],\"imageCaption\":\"Stout in a pot.\"}},\"29\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Brewing\",\"stepsSteps\":[{\"col1\":\"Step one goes here.\"},{\"col1\":\"Step 2 goes here.\"},{\"col1\":\"Step 3 goes here.\"}]}},\"30\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.\\r\\n<\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?\\r\\n<\\/p>\"}},\"31\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"47\"],\"imageCaption\":\"Cooking!\"}},\"32\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}}},\"9\":[{\"col1\":\"Difficulty: Experienced homebrewers\"},{\"col1\":\"Yield: 10 gallons\"},{\"col1\":\"Cost: $$$\"},{\"col1\":\"Time required: 6 hours\"}],\"10\":\"Creamy, dark and velvety. This one you could have for both breakfast and dessert.\",\"14\":\"American Stout\"}}','2015-06-17 16:17:31','2015-06-17 16:17:31','9b706d17-3c77-4f29-9cab-8988b5b5d56d'),
	(18,5,3,1,'en_us',16,'','{\"typeId\":\"3\",\"authorId\":\"1\",\"title\":\"Unabridged Stout\",\"slug\":\"unabridged-stout\",\"postDate\":1433731200,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"13\":{\"date\":\"6\\/1\\/2015\"},\"15\":{\"22\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"59\"],\"imageCaption\":\"The frothy finished product.\"}},\"23\":{\"type\":\"recipeIngredients\",\"enabled\":\"1\",\"fields\":{\"ingredients\":[{\"col1\":\"1 cup\",\"col2\":\"sugar\"},{\"col1\":\"1 can\",\"col2\":\"Stout extract\"},{\"col1\":\"5 gallons\",\"col2\":\"water\"}]}},\"24\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.\\r\\n<\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?\\r\\n<\\/p>\"}},\"25\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"Don\'t forget to clean your equipment!\"}},\"26\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Preparation\",\"stepsSteps\":[{\"col1\":\"Clean your workspace.\"},{\"col1\":\"Clean your equipment thoroughly.\"},{\"col1\":\"Double-check your ingredient list.\"},{\"col1\":\"Open a beverage (preferably a beer!)\"}]}},\"27\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}},\"28\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"60\"],\"imageCaption\":\"Stout in a pot.\"}},\"29\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Brewing\",\"stepsSteps\":[{\"col1\":\"Step one goes here.\"},{\"col1\":\"Step 2 goes here.\"},{\"col1\":\"Step 3 goes here.\"}]}},\"30\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.\\r\\n<\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?\\r\\n<\\/p>\"}},\"31\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"61\"],\"imageCaption\":\"Cooking!\"}},\"32\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}}},\"9\":[{\"col1\":\"Difficulty: Experienced homebrewers\"},{\"col1\":\"Yield: 10 gallons\"},{\"col1\":\"Cost: $$$\"},{\"col1\":\"Time required: 6 hours\"}],\"10\":\"Creamy, dark and velvety. This one you could have for both breakfast and dessert.\",\"14\":\"American Stout\"}}','2015-06-17 17:35:57','2015-06-17 17:35:57','0084b784-5699-4dcc-a55e-ea81666dc583'),
	(19,33,3,1,'en_us',3,'','{\"typeId\":\"3\",\"authorId\":\"1\",\"title\":\"Mijingo Double IPA\",\"slug\":\"mijingo-double-ipa\",\"postDate\":1434552720,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"13\":{\"date\":\"6\\/17\\/2015\"},\"15\":{\"34\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"65\"],\"imageCaption\":\"An image caption.\"}}},\"9\":[{\"col1\":\"Snapshot\"}],\"10\":\"An IPA that helps you learn something new.\",\"14\":\"American IPA\"}}','2015-06-17 20:03:41','2015-06-17 20:03:41','fecb3e10-e863-4f90-93aa-960cffc14a3c'),
	(20,67,4,1,'en_us',1,'','{\"typeId\":null,\"authorId\":\"1\",\"title\":\"TEst\",\"slug\":\"test\",\"postDate\":1434987896,\"expiryDate\":null,\"enabled\":1,\"fields\":[]}','2015-06-22 15:44:56','2015-06-22 15:44:56','7e830b6a-3331-413c-b0c0-a2c1340c19ee'),
	(21,67,4,1,'en_us',2,'','{\"typeId\":\"4\",\"authorId\":\"1\",\"title\":\"Test Page\",\"slug\":\"test\",\"postDate\":1434987840,\"expiryDate\":null,\"enabled\":1,\"fields\":[]}','2015-06-22 15:45:48','2015-06-22 15:45:48','86cec787-8d3b-4a36-b13c-b9bfdb542496'),
	(23,75,6,1,'en_us',1,NULL,'{\"typeId\":\"6\",\"authorId\":null,\"title\":\"Contact\",\"slug\":\"contact\",\"postDate\":1441940774,\"expiryDate\":null,\"enabled\":1,\"fields\":[]}','2015-09-11 03:06:14','2015-09-11 03:06:14','1c24163a-e2f5-4482-8427-eea219b4450d'),
	(24,33,3,1,'en_us',4,'','{\"typeId\":\"3\",\"authorId\":\"1\",\"title\":\"Mijingo Double IPA\",\"slug\":\"mijingo-double-ipa\",\"postDate\":1434552720,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"13\":{\"date\":\"6\\/17\\/2015\"},\"15\":{\"34\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"65\"],\"imageCaption\":\"An image caption.\"}}},\"9\":[{\"col1\":\"Snapshot\"}],\"10\":\"An IPA that helps you learn something new.\",\"14\":[\"79\"]}}','2015-09-11 13:30:17','2015-09-11 13:30:17','64ea8a7f-b371-4827-97b4-069534e25e0b'),
	(25,5,3,1,'en_us',17,'','{\"typeId\":\"3\",\"authorId\":\"1\",\"title\":\"Unabridged Stout\",\"slug\":\"unabridged-stout\",\"postDate\":1433731200,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"13\":{\"date\":\"6\\/1\\/2015\"},\"15\":{\"22\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"59\"],\"imageCaption\":\"The frothy finished product.\"}},\"23\":{\"type\":\"recipeIngredients\",\"enabled\":\"1\",\"fields\":{\"ingredients\":[{\"col1\":\"1 cup\",\"col2\":\"sugar\"},{\"col1\":\"1 can\",\"col2\":\"Stout extract\"},{\"col1\":\"5 gallons\",\"col2\":\"water\"}]}},\"24\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.\\r\\n<\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?\\r\\n<\\/p>\"}},\"25\":{\"type\":\"recipeTip\",\"enabled\":\"1\",\"fields\":{\"tipContent\":\"Don\'t forget to clean your equipment!\"}},\"26\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Preparation\",\"stepsSteps\":[{\"col1\":\"Clean your workspace.\"},{\"col1\":\"Clean your equipment thoroughly.\"},{\"col1\":\"Double-check your ingredient list.\"},{\"col1\":\"Open a beverage (preferably a beer!)\"}]}},\"27\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}},\"28\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"60\"],\"imageCaption\":\"Stout in a pot.\"}},\"29\":{\"type\":\"recipeSteps\",\"enabled\":\"1\",\"fields\":{\"stepsTitle\":\"Brewing\",\"stepsSteps\":[{\"col1\":\"Step one goes here.\"},{\"col1\":\"Step 2 goes here.\"},{\"col1\":\"Step 3 goes here.\"}]}},\"30\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.\\r\\n<\\/p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?\\r\\n<\\/p>\"}},\"31\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"61\"],\"imageCaption\":\"Cooking!\"}},\"32\":{\"type\":\"recipeCopy\",\"enabled\":\"1\",\"fields\":{\"bodyContent\":\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><\\/p>\"}}},\"9\":[{\"col1\":\"Difficulty: Experienced homebrewers\"},{\"col1\":\"Yield: 10 gallons\"},{\"col1\":\"Cost: $$$\"},{\"col1\":\"Time required: 6 hours\"}],\"10\":\"Creamy, dark and velvety. This one you could have for both breakfast and dessert.\",\"14\":[\"78\"]}}','2015-09-11 13:34:49','2015-09-11 13:34:49','fda77a66-9a47-45de-921a-30d346ca61a1'),
	(26,33,3,1,'en_us',5,'','{\"typeId\":\"3\",\"authorId\":\"1\",\"title\":\"Mijingo Double IPA\",\"slug\":\"mijingo-double-ipa\",\"postDate\":1434552720,\"expiryDate\":null,\"enabled\":1,\"fields\":{\"13\":{\"date\":\"6\\/17\\/2015\"},\"15\":{\"34\":{\"type\":\"recipeImage\",\"enabled\":\"1\",\"fields\":{\"image\":[\"65\"],\"imageCaption\":\"An image caption.\"}}},\"9\":[{\"col1\":\"Snapshot\"}],\"10\":\"An IPA that helps you learn something new.\",\"14\":[\"76\"]}}','2015-09-11 14:30:20','2015-09-11 14:30:20','821f1d85-6216-42d1-a5e6-907dd28bb654');

/*!40000 ALTER TABLE `craft_entryversions` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_fieldgroups
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_fieldgroups`;

CREATE TABLE `craft_fieldgroups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_fieldgroups_name_unq_idx` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_fieldgroups` WRITE;
/*!40000 ALTER TABLE `craft_fieldgroups` DISABLE KEYS */;

INSERT INTO `craft_fieldgroups` (`id`, `name`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,'Default','2015-06-08 02:02:39','2015-06-08 02:02:39','62589b91-6be7-46d6-b346-4e0ba7471e19'),
	(2,'Recipes','2015-06-08 02:16:47','2015-06-08 02:16:47','66a28847-ace7-4713-a093-124ab47a34dc');

/*!40000 ALTER TABLE `craft_fieldgroups` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_fieldlayoutfields
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_fieldlayoutfields`;

CREATE TABLE `craft_fieldlayoutfields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `layoutId` int(11) NOT NULL,
  `tabId` int(11) NOT NULL,
  `fieldId` int(11) NOT NULL,
  `required` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `sortOrder` tinyint(4) DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_fieldlayoutfields_layoutId_fieldId_unq_idx` (`layoutId`,`fieldId`),
  KEY `craft_fieldlayoutfields_sortOrder_idx` (`sortOrder`),
  KEY `craft_fieldlayoutfields_tabId_fk` (`tabId`),
  KEY `craft_fieldlayoutfields_fieldId_fk` (`fieldId`),
  CONSTRAINT `craft_fieldlayoutfields_fieldId_fk` FOREIGN KEY (`fieldId`) REFERENCES `craft_fields` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_fieldlayoutfields_layoutId_fk` FOREIGN KEY (`layoutId`) REFERENCES `craft_fieldlayouts` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_fieldlayoutfields_tabId_fk` FOREIGN KEY (`tabId`) REFERENCES `craft_fieldlayouttabs` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_fieldlayoutfields` WRITE;
/*!40000 ALTER TABLE `craft_fieldlayoutfields` DISABLE KEYS */;

INSERT INTO `craft_fieldlayoutfields` (`id`, `layoutId`, `tabId`, `fieldId`, `required`, `sortOrder`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,3,1,1,1,1,'2015-06-08 02:02:39','2015-06-08 02:02:39','c1615e0f-afe7-48a9-ba69-43b13f3110fb'),
	(2,5,2,1,1,1,'2015-06-08 02:02:39','2015-06-08 02:02:39','23fe7de4-1174-410a-a493-55f615a62cd4'),
	(3,5,2,2,0,2,'2015-06-08 02:02:39','2015-06-08 02:02:39','3621603c-bf13-4753-b6e0-e75c5da257e2'),
	(69,49,44,13,0,2,'2015-06-08 20:22:39','2015-06-08 20:22:39','cea52a96-63b5-4f4e-a8e2-0bfc10c9dde2'),
	(70,49,44,10,0,3,'2015-06-08 20:22:39','2015-06-08 20:22:39','418c2016-eb10-43fc-a651-3b2411559d76'),
	(71,49,44,9,0,4,'2015-06-08 20:22:39','2015-06-08 20:22:39','e3d95a25-7147-40b1-8cbd-9704101c69f1'),
	(72,49,44,15,0,5,'2015-06-08 20:22:39','2015-06-08 20:22:39','2e2a18e0-81fb-41f3-93c3-7b47ea0467c8'),
	(101,80,65,16,1,1,'2015-06-17 20:03:05','2015-06-17 20:03:05','29ca9e60-1a35-4f5e-a962-3ced1c24d3a5'),
	(102,80,65,17,0,2,'2015-06-17 20:03:05','2015-06-17 20:03:05','83722a36-a4eb-41ed-9fe3-da34c66cb541'),
	(103,81,66,18,0,1,'2015-06-17 20:03:05','2015-06-17 20:03:05','6848235a-ccb2-4a6b-aa21-4398c41632fb'),
	(104,82,67,19,0,1,'2015-06-17 20:03:05','2015-06-17 20:03:05','08bfd8bf-c71a-4f2e-ae95-3747b4c2cf6e'),
	(105,83,68,20,0,1,'2015-06-17 20:03:05','2015-06-17 20:03:05','d33cad60-71df-483c-8a87-9adff95191dc'),
	(106,83,68,21,0,2,'2015-06-17 20:03:05','2015-06-17 20:03:05','d602e732-b6c3-4969-adcf-7479341dddde'),
	(107,84,69,22,0,1,'2015-06-17 20:03:05','2015-06-17 20:03:05','6dd50b31-55ec-4973-8f8e-ff4f567e6a90');

/*!40000 ALTER TABLE `craft_fieldlayoutfields` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_fieldlayouts
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_fieldlayouts`;

CREATE TABLE `craft_fieldlayouts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(150) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `craft_fieldlayouts_type_idx` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_fieldlayouts` WRITE;
/*!40000 ALTER TABLE `craft_fieldlayouts` DISABLE KEYS */;

INSERT INTO `craft_fieldlayouts` (`id`, `type`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,'Tag','2015-06-08 02:02:39','2015-06-08 02:02:39','1d5957e3-e223-4690-962f-54db59eae974'),
	(3,'Entry','2015-06-08 02:02:39','2015-06-08 02:02:39','672a94b8-0fbd-4463-9bbb-6a7f9a548d1b'),
	(5,'Entry','2015-06-08 02:02:39','2015-06-08 02:02:39','04cd88a1-5706-4965-a2fd-52ce114c65b8'),
	(12,'Asset','2015-06-08 02:35:40','2015-06-08 02:35:40','8c91c7d1-d459-4d67-b7cd-4780de1c4e44'),
	(49,'Entry','2015-06-08 20:22:39','2015-06-08 20:22:39','6e085cce-8418-410f-b17e-eb53a76fe914'),
	(57,'Asset','2015-06-17 15:22:04','2015-06-17 15:22:04','e45d0249-0298-4ad0-ba81-9aea4f0171b9'),
	(59,'Asset','2015-06-17 15:37:47','2015-06-17 15:37:47','a72a0f5d-2cae-400e-9321-6ec736331976'),
	(60,'Asset','2015-06-17 16:13:04','2015-06-17 16:13:04','10133b4a-51cc-4736-a5fd-b94609fc1910'),
	(66,'Asset','2015-06-17 17:33:34','2015-06-17 17:33:34','48570e25-65b9-42ed-8049-16dc186a8bbf'),
	(78,'Asset','2015-06-17 18:50:53','2015-06-17 18:50:53','147e4e5e-73f1-43b4-a588-404dac8b9b0d'),
	(79,'Asset','2015-06-17 20:01:53','2015-06-17 20:01:53','dde52168-b1fe-49f2-968c-399220f12ff7'),
	(80,'MatrixBlock','2015-06-17 20:03:05','2015-06-17 20:03:05','8e74e894-bd6d-48a8-a539-4080de609a17'),
	(81,'MatrixBlock','2015-06-17 20:03:05','2015-06-17 20:03:05','46ff626b-1535-43f2-9ad3-025e764a87b3'),
	(82,'MatrixBlock','2015-06-17 20:03:05','2015-06-17 20:03:05','b23c4d3e-7b4a-4c1c-8e12-9e720ac77801'),
	(83,'MatrixBlock','2015-06-17 20:03:05','2015-06-17 20:03:05','63ede4f4-1842-4c3b-8189-dc34ec3e9167'),
	(84,'MatrixBlock','2015-06-17 20:03:05','2015-06-17 20:03:05','02ac50c6-b2c1-428b-948e-35920146cfdc'),
	(85,'Entry','2015-06-22 15:44:45','2015-06-22 15:44:45','881f2147-0118-46de-9b86-5cb8a841f3f1'),
	(86,'Market_Order','2015-08-10 19:06:28','2015-08-10 19:06:28','3b8c8f99-8bed-4a1f-a33f-4c1c2d29880b'),
	(87,'Market_Product','2015-08-10 19:06:28','2015-08-10 19:06:28','29f819eb-47da-43e2-a27e-5c2eb21e3288'),
	(88,'Market_Variant','2015-08-10 19:06:28','2015-08-10 19:06:28','5d0ce46d-c06c-492e-8987-85a498cb7ee8'),
	(89,'Market_Product','2015-08-10 19:06:28','2015-08-10 19:06:28','04c00c8a-ee2d-453a-95f3-70cb7fb547de'),
	(90,'Market_Variant','2015-08-10 19:06:28','2015-08-10 19:06:28','7d297150-63b1-48c1-a18f-0d529f2c0f44'),
	(91,'Entry','2015-09-11 03:05:03','2015-09-11 03:05:03','52dc403d-3591-407f-bf86-775dc79f62fc'),
	(92,'Entry','2015-09-11 03:06:14','2015-09-11 03:06:14','83ef0542-8785-4f97-8b04-d5316f9ec1c9');

/*!40000 ALTER TABLE `craft_fieldlayouts` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_fieldlayouttabs
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_fieldlayouttabs`;

CREATE TABLE `craft_fieldlayouttabs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `layoutId` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `sortOrder` tinyint(4) DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `craft_fieldlayouttabs_sortOrder_idx` (`sortOrder`),
  KEY `craft_fieldlayouttabs_layoutId_fk` (`layoutId`),
  CONSTRAINT `craft_fieldlayouttabs_layoutId_fk` FOREIGN KEY (`layoutId`) REFERENCES `craft_fieldlayouts` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_fieldlayouttabs` WRITE;
/*!40000 ALTER TABLE `craft_fieldlayouttabs` DISABLE KEYS */;

INSERT INTO `craft_fieldlayouttabs` (`id`, `layoutId`, `name`, `sortOrder`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,3,'Content',1,'2015-06-08 02:02:39','2015-06-08 02:02:39','49fbbbc6-9875-4b09-bf54-58f110215db8'),
	(2,5,'Content',1,'2015-06-08 02:02:39','2015-06-08 02:02:39','2335d65e-8205-4afe-8c5c-d26f5e1136d1'),
	(44,49,'Recipes',1,'2015-06-08 20:22:39','2015-06-08 20:22:39','32970977-56d9-4caa-88a6-83b23c97311b'),
	(65,80,'Content',1,'2015-06-17 20:03:05','2015-06-17 20:03:05','07c867b4-41af-483f-b269-0e113e2375c9'),
	(66,81,'Content',1,'2015-06-17 20:03:05','2015-06-17 20:03:05','32a74dbf-4e4a-4eb0-98d9-48e82b8e21bd'),
	(67,82,'Content',1,'2015-06-17 20:03:05','2015-06-17 20:03:05','6d8ff0ee-ec44-4384-ab0a-634c4d65b8b4'),
	(68,83,'Content',1,'2015-06-17 20:03:05','2015-06-17 20:03:05','52bd9a0e-d9a4-4226-8b34-a87d9ab6ce4f'),
	(69,84,'Content',1,'2015-06-17 20:03:05','2015-06-17 20:03:05','9c61e727-f4a0-4aab-b724-54ae905810a3');

/*!40000 ALTER TABLE `craft_fieldlayouttabs` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_fields
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_fields`;

CREATE TABLE `craft_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `groupId` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `handle` varchar(58) COLLATE utf8_unicode_ci NOT NULL,
  `context` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'global',
  `instructions` text COLLATE utf8_unicode_ci,
  `translatable` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `type` varchar(150) COLLATE utf8_unicode_ci NOT NULL,
  `settings` text COLLATE utf8_unicode_ci,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_fields_handle_context_unq_idx` (`handle`,`context`),
  KEY `craft_fields_context_idx` (`context`),
  KEY `craft_fields_groupId_fk` (`groupId`),
  CONSTRAINT `craft_fields_groupId_fk` FOREIGN KEY (`groupId`) REFERENCES `craft_fieldgroups` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_fields` WRITE;
/*!40000 ALTER TABLE `craft_fields` DISABLE KEYS */;

INSERT INTO `craft_fields` (`id`, `groupId`, `name`, `handle`, `context`, `instructions`, `translatable`, `type`, `settings`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,1,'Body','body','global',NULL,1,'RichText','{\"configFile\":\"Standard.json\",\"columnType\":\"text\"}','2015-06-08 02:02:39','2015-06-08 02:02:39','eacab4a5-c73b-40d2-b5bc-8f5190e72246'),
	(2,1,'Tags','tags','global',NULL,0,'Tags','{\"source\":\"taggroup:1\"}','2015-06-08 02:02:39','2015-06-08 02:02:39','196d220a-d060-49aa-9898-edd4a9b68f07'),
	(9,2,'Recipe Snapshot','recipeSnapshot','global','Short, bullet items that cover some highlights of the recipe.',0,'Table','{\"columns\":{\"col1\":{\"heading\":\"Snapshot Text\",\"handle\":\"snapshotText\",\"width\":\"\",\"type\":\"singleline\"}},\"defaults\":{\"row1\":{\"col1\":\"\"}}}','2015-06-08 14:42:06','2015-06-08 14:42:06','30043316-89f3-440c-9f60-372abb5e4a3f'),
	(10,2,'Recipe Tagline','recipeTagline','global','Short, one sentence tagline at the top of the recipe. This tagline should accurately describe the recipe.',0,'PlainText','{\"placeholder\":\"\",\"maxLength\":\"\",\"multiline\":\"\",\"initialRows\":\"4\"}','2015-06-08 14:43:08','2015-06-08 14:43:08','47819ce2-6bbc-448b-9094-dea13908a56a'),
	(13,2,'Original Brew Date','originalBrewDate','global','',0,'Date','{\"minuteIncrement\":\"30\",\"showDate\":1,\"showTime\":0}','2015-06-08 16:44:34','2015-06-08 16:44:34','64b0b1c1-1618-444c-88d2-1cc0eb1ca4ee'),
	(15,2,'Recipe Contents','recipeContents','global','',0,'Matrix','{\"maxBlocks\":null}','2015-06-08 20:21:21','2015-06-17 20:03:05','cfcda53a-e8b9-40c8-8c61-7168507dac28'),
	(16,NULL,'Image','image','matrixBlockType:6','',0,'Assets','{\"useSingleFolder\":\"\",\"sources\":[\"folder:8\",\"folder:11\"],\"defaultUploadLocationSource\":\"5\",\"defaultUploadLocationSubpath\":\"\",\"singleUploadLocationSource\":\"5\",\"singleUploadLocationSubpath\":\"\",\"restrictFiles\":\"\",\"allowedKinds\":[\"image\"],\"limit\":\"\",\"selectionLabel\":\"Recipe Image\"}','2015-06-08 20:21:21','2015-06-17 20:03:05','c7696d43-61db-4fd7-b618-2191844c0c85'),
	(17,NULL,'Image Caption','imageCaption','matrixBlockType:6','A short, one sentence caption of this image.',0,'PlainText','{\"placeholder\":\"\",\"maxLength\":\"\",\"multiline\":\"\",\"initialRows\":\"4\"}','2015-06-08 20:21:21','2015-06-17 20:03:05','5453f71c-3318-4923-8334-a23d524b7b29'),
	(18,NULL,'Tip Content','tipContent','matrixBlockType:7','',0,'PlainText','{\"placeholder\":\"\",\"maxLength\":\"\",\"multiline\":\"\",\"initialRows\":\"4\"}','2015-06-08 20:21:21','2015-06-17 20:03:05','75853ccd-da52-40fa-b6a7-3be95682b19d'),
	(19,NULL,'Body Content','bodyContent','matrixBlockType:8','',0,'RichText','{\"configFile\":\"\",\"cleanupHtml\":\"1\",\"purifyHtml\":\"1\",\"columnType\":\"text\"}','2015-06-08 20:21:21','2015-06-17 20:03:05','79959fa8-d443-48c5-be08-69a1cd2647eb'),
	(20,NULL,'Steps Title','stepsTitle','matrixBlockType:9','',0,'PlainText','{\"placeholder\":\"\",\"maxLength\":\"\",\"multiline\":\"\",\"initialRows\":\"4\"}','2015-06-08 20:21:21','2015-06-17 20:03:05','751dc959-5568-41a5-9f46-e06d9141db14'),
	(21,NULL,'Steps','stepsSteps','matrixBlockType:9','',0,'Table','{\"columns\":{\"col1\":{\"heading\":\"Step Instructions\",\"handle\":\"stepInstructions\",\"width\":\"\",\"type\":\"singleline\"}},\"defaults\":{\"row1\":{\"col1\":\"\"}}}','2015-06-08 20:21:21','2015-06-17 20:03:05','1a5f7e02-e692-4caf-af34-a0e05bbbb8fb'),
	(22,NULL,'Ingredients','ingredients','matrixBlockType:10','',0,'Table','{\"columns\":{\"col1\":{\"heading\":\"Amount\",\"handle\":\"amount\",\"width\":\"\",\"type\":\"singleline\"},\"col2\":{\"heading\":\"Ingredient\",\"handle\":\"ingredient\",\"width\":\"\",\"type\":\"singleline\"}},\"defaults\":{\"row1\":{\"col1\":\"\",\"col2\":\"\"}}}','2015-06-08 20:21:22','2015-06-17 20:03:05','e2357ebf-8ca0-4024-93f2-f91c732a4d5c');

/*!40000 ALTER TABLE `craft_fields` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_globalsets
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_globalsets`;

CREATE TABLE `craft_globalsets` (
  `id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `handle` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `fieldLayoutId` int(10) DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_globalsets_name_unq_idx` (`name`),
  UNIQUE KEY `craft_globalsets_handle_unq_idx` (`handle`),
  KEY `craft_globalsets_fieldLayoutId_fk` (`fieldLayoutId`),
  CONSTRAINT `craft_globalsets_fieldLayoutId_fk` FOREIGN KEY (`fieldLayoutId`) REFERENCES `craft_fieldlayouts` (`id`) ON DELETE SET NULL,
  CONSTRAINT `craft_globalsets_id_fk` FOREIGN KEY (`id`) REFERENCES `craft_elements` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_info
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_info`;

CREATE TABLE `craft_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `version` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `build` int(11) unsigned NOT NULL,
  `schemaVersion` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `releaseDate` datetime NOT NULL,
  `edition` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `siteName` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `siteUrl` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `timezone` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `on` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `maintenance` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `track` varchar(40) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_info` WRITE;
/*!40000 ALTER TABLE `craft_info` DISABLE KEYS */;

INSERT INTO `craft_info` (`id`, `version`, `build`, `schemaVersion`, `releaseDate`, `edition`, `siteName`, `siteUrl`, `timezone`, `on`, `maintenance`, `track`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,'2.4',2692,'2.4.0','2015-09-11 16:33:05',2,'Crafty Brewery','http://craft.dev','UTC',1,0,'stable','2015-06-08 02:02:31','2015-09-14 20:07:19','d58230b5-d75f-4f13-8272-66e8ca0c1855');

/*!40000 ALTER TABLE `craft_info` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_locales
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_locales`;

CREATE TABLE `craft_locales` (
  `locale` char(12) COLLATE utf8_unicode_ci NOT NULL,
  `sortOrder` tinyint(4) DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`locale`),
  KEY `craft_locales_sortOrder_idx` (`sortOrder`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_locales` WRITE;
/*!40000 ALTER TABLE `craft_locales` DISABLE KEYS */;

INSERT INTO `craft_locales` (`locale`, `sortOrder`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	('en_us',1,'2015-06-08 02:02:31','2015-06-08 02:02:31','8ba40ef0-9172-4b40-ba7d-9874c6fb9ffa');

/*!40000 ALTER TABLE `craft_locales` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_matrixblocks
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_matrixblocks`;

CREATE TABLE `craft_matrixblocks` (
  `id` int(11) NOT NULL,
  `ownerId` int(11) NOT NULL,
  `fieldId` int(11) NOT NULL,
  `typeId` int(11) DEFAULT NULL,
  `sortOrder` tinyint(4) DEFAULT NULL,
  `ownerLocale` char(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `craft_matrixblocks_ownerId_idx` (`ownerId`),
  KEY `craft_matrixblocks_fieldId_idx` (`fieldId`),
  KEY `craft_matrixblocks_typeId_idx` (`typeId`),
  KEY `craft_matrixblocks_sortOrder_idx` (`sortOrder`),
  KEY `craft_matrixblocks_ownerLocale_fk` (`ownerLocale`),
  CONSTRAINT `craft_matrixblocks_fieldId_fk` FOREIGN KEY (`fieldId`) REFERENCES `craft_fields` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_matrixblocks_id_fk` FOREIGN KEY (`id`) REFERENCES `craft_elements` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_matrixblocks_ownerId_fk` FOREIGN KEY (`ownerId`) REFERENCES `craft_elements` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_matrixblocks_ownerLocale_fk` FOREIGN KEY (`ownerLocale`) REFERENCES `craft_locales` (`locale`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `craft_matrixblocks_typeId_fk` FOREIGN KEY (`typeId`) REFERENCES `craft_matrixblocktypes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_matrixblocks` WRITE;
/*!40000 ALTER TABLE `craft_matrixblocks` DISABLE KEYS */;

INSERT INTO `craft_matrixblocks` (`id`, `ownerId`, `fieldId`, `typeId`, `sortOrder`, `ownerLocale`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(22,5,15,6,1,NULL,'2015-06-08 20:26:37','2015-09-11 13:34:49','70b0b53c-c0c3-4574-aa56-f49f46f417ae'),
	(23,5,15,10,2,NULL,'2015-06-08 20:26:37','2015-09-11 13:34:49','dc6ac9d0-7ea9-4be8-bc5c-78c6aadbb0a1'),
	(24,5,15,8,3,NULL,'2015-06-08 20:26:37','2015-09-11 13:34:49','9559f3d7-b074-4568-8f3a-cdb29f5f8daa'),
	(25,5,15,7,4,NULL,'2015-06-08 20:26:37','2015-09-11 13:34:49','c71e50b2-4011-48db-b179-30f9495281b4'),
	(26,5,15,9,5,NULL,'2015-06-08 20:26:37','2015-09-11 13:34:49','128b46a3-3075-4b92-b490-8e54384c9255'),
	(27,5,15,8,6,NULL,'2015-06-08 20:26:37','2015-09-11 13:34:49','1fdc5f5f-27bc-4e6b-94ef-6b8b1662e61e'),
	(28,5,15,6,7,NULL,'2015-06-08 20:26:37','2015-09-11 13:34:49','2a7849f4-d273-4f69-8b78-aa366d870460'),
	(29,5,15,9,8,NULL,'2015-06-08 20:26:37','2015-09-11 13:34:49','bbc565ab-fe38-467d-9485-91ddacebd897'),
	(30,5,15,8,9,NULL,'2015-06-08 20:26:37','2015-09-11 13:34:49','966c3ce0-7a96-4e90-b1d8-74bd65021f1c'),
	(31,5,15,6,10,NULL,'2015-06-08 20:26:37','2015-09-11 13:34:49','ecdaf9ab-d197-40e1-9d22-e861f4c197be'),
	(32,5,15,8,11,NULL,'2015-06-08 20:26:37','2015-09-11 13:34:49','9f8d7743-670b-4d14-a230-d71070cc6c1f'),
	(34,33,15,6,1,NULL,'2015-06-17 14:52:05','2015-09-11 14:30:20','7cab6a6c-e98e-4aa7-819d-0b8f198ef5cf');

/*!40000 ALTER TABLE `craft_matrixblocks` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_matrixblocktypes
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_matrixblocktypes`;

CREATE TABLE `craft_matrixblocktypes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `fieldId` int(11) NOT NULL,
  `fieldLayoutId` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `handle` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `sortOrder` tinyint(4) DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_matrixblocktypes_name_fieldId_unq_idx` (`name`,`fieldId`),
  UNIQUE KEY `craft_matrixblocktypes_handle_fieldId_unq_idx` (`handle`,`fieldId`),
  KEY `craft_matrixblocktypes_fieldId_fk` (`fieldId`),
  KEY `craft_matrixblocktypes_fieldLayoutId_fk` (`fieldLayoutId`),
  CONSTRAINT `craft_matrixblocktypes_fieldId_fk` FOREIGN KEY (`fieldId`) REFERENCES `craft_fields` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_matrixblocktypes_fieldLayoutId_fk` FOREIGN KEY (`fieldLayoutId`) REFERENCES `craft_fieldlayouts` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_matrixblocktypes` WRITE;
/*!40000 ALTER TABLE `craft_matrixblocktypes` DISABLE KEYS */;

INSERT INTO `craft_matrixblocktypes` (`id`, `fieldId`, `fieldLayoutId`, `name`, `handle`, `sortOrder`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(6,15,80,'Recipe Image','recipeImage',1,'2015-06-08 20:21:21','2015-06-17 20:03:05','504ec806-b394-49d7-8eaf-38905110794d'),
	(7,15,81,'Recipe Tip','recipeTip',2,'2015-06-08 20:21:21','2015-06-17 20:03:05','2b83c7b0-ad78-48d1-baf3-41ed7dcfaf89'),
	(8,15,82,'Recipe Copy','recipeCopy',3,'2015-06-08 20:21:21','2015-06-17 20:03:05','2143137e-e070-4ce0-9518-8326e0e50138'),
	(9,15,83,'Recipe Steps','recipeSteps',4,'2015-06-08 20:21:21','2015-06-17 20:03:05','17c11ca2-3286-4160-88c0-eec722ac7337'),
	(10,15,84,'Recipe Ingredients','recipeIngredients',5,'2015-06-08 20:21:22','2015-06-17 20:03:05','de62aa58-6de0-4945-a684-55bfe263fcda');

/*!40000 ALTER TABLE `craft_matrixblocktypes` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_matrixcontent_recipecontents
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_matrixcontent_recipecontents`;

CREATE TABLE `craft_matrixcontent_recipecontents` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `elementId` int(11) NOT NULL,
  `locale` char(12) COLLATE utf8_unicode_ci NOT NULL,
  `field_recipeImage_imageCaption` text COLLATE utf8_unicode_ci,
  `field_recipeTip_tipContent` text COLLATE utf8_unicode_ci,
  `field_recipeCopy_bodyContent` text COLLATE utf8_unicode_ci,
  `field_recipeSteps_stepsTitle` text COLLATE utf8_unicode_ci,
  `field_recipeSteps_stepsSteps` text COLLATE utf8_unicode_ci,
  `field_recipeIngredients_ingredients` text COLLATE utf8_unicode_ci,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_matrixcontent_recipecontents_elementId_locale_unq_idx` (`elementId`,`locale`),
  KEY `craft_matrixcontent_recipecontents_locale_fk` (`locale`),
  CONSTRAINT `craft_matrixcontent_recipecontents_elementId_fk` FOREIGN KEY (`elementId`) REFERENCES `craft_elements` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_matrixcontent_recipecontents_locale_fk` FOREIGN KEY (`locale`) REFERENCES `craft_locales` (`locale`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_matrixcontent_recipecontents` WRITE;
/*!40000 ALTER TABLE `craft_matrixcontent_recipecontents` DISABLE KEYS */;

INSERT INTO `craft_matrixcontent_recipecontents` (`id`, `elementId`, `locale`, `field_recipeImage_imageCaption`, `field_recipeTip_tipContent`, `field_recipeCopy_bodyContent`, `field_recipeSteps_stepsTitle`, `field_recipeSteps_stepsSteps`, `field_recipeIngredients_ingredients`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,22,'en_us','The frothy finished product.',NULL,NULL,NULL,NULL,NULL,'2015-06-08 20:26:37','2015-09-11 13:34:49','29cfdf65-9923-44e6-bad6-8498073c91ca'),
	(2,23,'en_us',NULL,NULL,NULL,NULL,NULL,'[{\"col1\":\"1 cup\",\"col2\":\"sugar\"},{\"col1\":\"1 can\",\"col2\":\"Stout extract\"},{\"col1\":\"5 gallons\",\"col2\":\"water\"}]','2015-06-08 20:26:37','2015-09-11 13:34:49','6880ef0f-30a2-4145-bcd7-c95ffb33ba82'),
	(3,24,'en_us',NULL,NULL,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.\n</p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?\n</p>',NULL,NULL,NULL,'2015-06-08 20:26:37','2015-09-11 13:34:49','c7cbc781-b990-40b0-98df-df8b7e6f71fd'),
	(4,25,'en_us',NULL,'Don\'t forget to clean your equipment!',NULL,NULL,NULL,NULL,'2015-06-08 20:26:37','2015-09-11 13:34:49','5ea12437-e66a-44b0-9e16-5133e3f5f58f'),
	(5,26,'en_us',NULL,NULL,NULL,'Preparation','[{\"col1\":\"Clean your workspace.\"},{\"col1\":\"Clean your equipment thoroughly.\"},{\"col1\":\"Double-check your ingredient list.\"},{\"col1\":\"Open a beverage (preferably a beer!)\"}]',NULL,'2015-06-08 20:26:37','2015-09-11 13:34:49','8ddda007-7d98-414c-a423-66f9c97b8b73'),
	(6,27,'en_us',NULL,NULL,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br /></p>',NULL,NULL,NULL,'2015-06-08 20:26:37','2015-09-11 13:34:49','3509d4e0-65a8-4a00-be64-8474b55bbb07'),
	(7,28,'en_us','Stout in a pot.',NULL,NULL,NULL,NULL,NULL,'2015-06-08 20:26:37','2015-09-11 13:34:49','300488f0-a942-4c7e-9bcb-43bb8272f729'),
	(8,29,'en_us',NULL,NULL,NULL,'Brewing','[{\"col1\":\"Step one goes here.\"},{\"col1\":\"Step 2 goes here.\"},{\"col1\":\"Step 3 goes here.\"}]',NULL,'2015-06-08 20:26:37','2015-09-11 13:34:49','c44a43a6-9f88-47a0-b00a-be7cef533874'),
	(9,30,'en_us',NULL,NULL,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.\n</p><p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?\n</p>',NULL,NULL,NULL,'2015-06-08 20:26:37','2015-09-11 13:34:49','06db3311-f738-428f-ba17-1b19c56e51cc'),
	(10,31,'en_us','Cooking!',NULL,NULL,NULL,NULL,NULL,'2015-06-08 20:26:37','2015-09-11 13:34:49','5a52b659-090f-441f-a3cc-f4b8c0b0b296'),
	(11,32,'en_us',NULL,NULL,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br /></p>',NULL,NULL,NULL,'2015-06-08 20:26:37','2015-09-11 13:34:49','6c8fe29a-cfa1-46a8-8246-11e065782707'),
	(12,34,'en_us','An image caption.',NULL,NULL,NULL,NULL,NULL,'2015-06-17 14:52:05','2015-09-11 14:30:20','32d7e67c-debf-4c47-8e4d-8d2a07efccaa');

/*!40000 ALTER TABLE `craft_matrixcontent_recipecontents` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_migrations
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_migrations`;

CREATE TABLE `craft_migrations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pluginId` int(11) DEFAULT NULL,
  `version` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `applyTime` datetime NOT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_migrations_version_unq_idx` (`version`),
  KEY `craft_migrations_pluginId_fk` (`pluginId`),
  CONSTRAINT `craft_migrations_pluginId_fk` FOREIGN KEY (`pluginId`) REFERENCES `craft_plugins` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_migrations` WRITE;
/*!40000 ALTER TABLE `craft_migrations` DISABLE KEYS */;

INSERT INTO `craft_migrations` (`id`, `pluginId`, `version`, `applyTime`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,NULL,'m000000_000000_base','2015-06-08 02:02:31','2015-06-08 02:02:31','2015-06-08 02:02:31','b1d7dbbb-f995-4c5b-bd7f-87fd6962c93b'),
	(2,NULL,'m140730_000001_add_filename_and_format_to_transformindex','2015-06-08 02:02:31','2015-06-08 02:02:31','2015-06-08 02:02:31','0b046628-6ba6-48f5-b105-f3cdfeff5af1'),
	(3,NULL,'m140815_000001_add_format_to_transforms','2015-06-08 02:02:31','2015-06-08 02:02:31','2015-06-08 02:02:31','471622d2-bfba-419a-ae45-8769a8bceb36'),
	(4,NULL,'m140822_000001_allow_more_than_128_items_per_field','2015-06-08 02:02:31','2015-06-08 02:02:31','2015-06-08 02:02:31','2948cfae-92c1-434e-acc8-21fa9de0d1a1'),
	(5,NULL,'m140829_000001_single_title_formats','2015-06-08 02:02:31','2015-06-08 02:02:31','2015-06-08 02:02:31','adc6e471-3a92-4185-962d-d4108e96b35f'),
	(6,NULL,'m140831_000001_extended_cache_keys','2015-06-08 02:02:31','2015-06-08 02:02:31','2015-06-08 02:02:31','aa5493a0-f415-4a8a-9068-f6fa64883b6d'),
	(7,NULL,'m140922_000001_delete_orphaned_matrix_blocks','2015-06-08 02:02:31','2015-06-08 02:02:31','2015-06-08 02:02:31','58bbae4b-ac19-47b4-ad14-920b22fffdb6'),
	(8,NULL,'m141008_000001_elements_index_tune','2015-06-08 02:02:31','2015-06-08 02:02:31','2015-06-08 02:02:31','363f0086-075a-4bbf-ab82-0de8fee6b553'),
	(9,NULL,'m141009_000001_assets_source_handle','2015-06-08 02:02:31','2015-06-08 02:02:31','2015-06-08 02:02:31','3abf7ca9-ff9c-47c6-bf7c-38e9ac86c48e'),
	(10,NULL,'m141024_000001_field_layout_tabs','2015-06-08 02:02:31','2015-06-08 02:02:31','2015-06-08 02:02:31','9f77f529-c0fd-44c2-9e48-e55778002a22'),
	(11,NULL,'m141030_000001_drop_structure_move_permission','2015-06-08 02:02:31','2015-06-08 02:02:31','2015-06-08 02:02:31','f94ec15b-1e36-4e98-928d-40f10e75b561'),
	(12,NULL,'m141103_000001_tag_titles','2015-06-08 02:02:31','2015-06-08 02:02:31','2015-06-08 02:02:31','195f1b1a-0bff-420a-9558-16b0f174b6d3'),
	(13,NULL,'m141109_000001_user_status_shuffle','2015-06-08 02:02:31','2015-06-08 02:02:31','2015-06-08 02:02:31','d62d1a4a-069e-471c-a25a-4c7ebb77cceb'),
	(14,NULL,'m141126_000001_user_week_start_day','2015-06-08 02:02:31','2015-06-08 02:02:31','2015-06-08 02:02:31','70c71f38-35db-4fc1-aabe-2793d4b5b78f'),
	(15,NULL,'m150210_000001_adjust_user_photo_size','2015-06-08 02:02:31','2015-06-08 02:02:31','2015-06-08 02:02:31','fc53238a-af7b-49ae-8071-4aab854cd0d8');

/*!40000 ALTER TABLE `craft_migrations` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_plugins
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_plugins`;

CREATE TABLE `craft_plugins` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `class` varchar(150) COLLATE utf8_unicode_ci NOT NULL,
  `version` char(15) COLLATE utf8_unicode_ci NOT NULL,
  `enabled` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `settings` text COLLATE utf8_unicode_ci,
  `installDate` datetime NOT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_rackspaceaccess
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_rackspaceaccess`;

CREATE TABLE `craft_rackspaceaccess` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `connectionKey` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `token` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `storageUrl` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `cdnUrl` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_rackspaceaccess_connectionKey_unq_idx` (`connectionKey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_relations
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_relations`;

CREATE TABLE `craft_relations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `fieldId` int(11) NOT NULL,
  `sourceId` int(11) NOT NULL,
  `sourceLocale` char(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `targetId` int(11) NOT NULL,
  `sortOrder` smallint(6) DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_relations_fieldId_sourceId_sourceLocale_targetId_unq_idx` (`fieldId`,`sourceId`,`sourceLocale`,`targetId`),
  KEY `craft_relations_sourceId_fk` (`sourceId`),
  KEY `craft_relations_sourceLocale_fk` (`sourceLocale`),
  KEY `craft_relations_targetId_fk` (`targetId`),
  CONSTRAINT `craft_relations_fieldId_fk` FOREIGN KEY (`fieldId`) REFERENCES `craft_fields` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_relations_sourceId_fk` FOREIGN KEY (`sourceId`) REFERENCES `craft_elements` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_relations_sourceLocale_fk` FOREIGN KEY (`sourceLocale`) REFERENCES `craft_locales` (`locale`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `craft_relations_targetId_fk` FOREIGN KEY (`targetId`) REFERENCES `craft_elements` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_relations` WRITE;
/*!40000 ALTER TABLE `craft_relations` DISABLE KEYS */;

INSERT INTO `craft_relations` (`id`, `fieldId`, `sourceId`, `sourceLocale`, `targetId`, `sortOrder`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(53,16,22,NULL,59,1,'2015-09-11 13:34:49','2015-09-11 13:34:49','f0209da7-75e0-4987-b172-c7ab823da99f'),
	(54,16,28,NULL,60,1,'2015-09-11 13:34:49','2015-09-11 13:34:49','489cfb62-935d-4b41-a998-02a90b55faaf'),
	(55,16,31,NULL,61,1,'2015-09-11 13:34:49','2015-09-11 13:34:49','e160bd63-5599-4f1d-b810-4b0f828355ad'),
	(57,16,34,NULL,65,1,'2015-09-11 14:30:20','2015-09-11 14:30:20','e1bc7c46-beeb-40d6-b063-89addf749389');

/*!40000 ALTER TABLE `craft_relations` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_routes
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_routes`;

CREATE TABLE `craft_routes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `locale` char(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `urlParts` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `urlPattern` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `template` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `sortOrder` tinyint(4) DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_routes_urlPattern_unq_idx` (`urlPattern`),
  KEY `craft_routes_locale_idx` (`locale`),
  CONSTRAINT `craft_routes_locale_fk` FOREIGN KEY (`locale`) REFERENCES `craft_locales` (`locale`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_searchindex
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_searchindex`;

CREATE TABLE `craft_searchindex` (
  `elementId` int(11) NOT NULL,
  `attribute` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  `fieldId` int(11) NOT NULL,
  `locale` char(12) COLLATE utf8_unicode_ci NOT NULL,
  `keywords` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`elementId`,`attribute`,`fieldId`,`locale`),
  FULLTEXT KEY `craft_searchindex_keywords_idx` (`keywords`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_searchindex` WRITE;
/*!40000 ALTER TABLE `craft_searchindex` DISABLE KEYS */;

INSERT INTO `craft_searchindex` (`elementId`, `attribute`, `fieldId`, `locale`, `keywords`)
VALUES
	(1,'username',0,'en_us',' admin '),
	(1,'firstname',0,'en_us',' ryan '),
	(1,'lastname',0,'en_us',' irelan '),
	(1,'fullname',0,'en_us',' ryan irelan '),
	(1,'email',0,'en_us',' support mijingo com '),
	(1,'slug',0,'en_us',''),
	(2,'slug',0,'en_us',' homepage '),
	(2,'title',0,'en_us',' welcome to craftybrewery dev '),
	(2,'field',1,'en_us',' it s true this site doesn t have a whole lot of content yet but don t worry our web developers have just installed the cms and they re setting things up for the content editors this very moment soon craftybrewery dev will be an oasis of fresh perspectives sharp analyses and astute opinions that will keep you coming back again and again '),
	(3,'field',1,'en_us',' craft is the cms that s powering craftybrewery dev it s beautiful powerful flexible and easy to use and it s made by pixel tonic we can t wait to dive in and see what it s capable of this is even more captivating content which you couldn t see on the news index page because it was entered after a page break and the news index template only likes to show the content on the first page craft a nice alternative to word if you re making a website '),
	(3,'field',2,'en_us',''),
	(3,'slug',0,'en_us',''),
	(3,'title',0,'en_us',' we just installed craft '),
	(5,'field',3,'en_us',' dark horse tres blueberry stout 2 the final product deeeelicious 1 cup something here 1 cup something here 2 lb hops 2 lb hops 2 gallons filtered water 2 gallons filtered water lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum don t forget to clean your equipment lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt neque porro quisquam est qui dolorem ipsum quia dolor sit amet consectetur adipisci velit sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem ut enim ad minima veniam quis nostrum exercitationem ullam corporis suscipit laboriosam nisi ut aliquid ex ea commodi consequatur quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur vel illum qui dolorem eum fugiat quo voluptas nulla pariatur stout cooking lik a boss boil the water to 230 degrees boil the water to 230 degrees add the can of extract and boil for 10 minutes add the can of extract and boil for 10 minutes brewing this beer style is best aged lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum stout in pot watch you temps clean the equipment clean the equipment gather your ingredients gather your ingredients preparation lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt neque porro quisquam est qui dolorem ipsum quia dolor sit amet consectetur adipisci velit sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem ut enim ad minima veniam quis nostrum exercitationem ullam corporis suscipit laboriosam nisi ut aliquid ex ea commodi consequatur quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur vel illum qui dolorem eum fugiat quo voluptas nulla pariatur lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum '),
	(5,'slug',0,'en_us',' unabridged stout '),
	(5,'title',0,'en_us',' unabridged stout '),
	(22,'field',16,'en_us',' dark horse tres blueberry stout 2 '),
	(22,'field',17,'en_us',' the frothy finished product '),
	(22,'slug',0,'en_us',''),
	(23,'field',22,'en_us',' 1 cup sugar 1 cup sugar 1 can stout extract 1 can stout extract 5 gallons water 5 gallons water '),
	(23,'slug',0,'en_us',''),
	(24,'field',19,'en_us',' lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt neque porro quisquam est qui dolorem ipsum quia dolor sit amet consectetur adipisci velit sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem ut enim ad minima veniam quis nostrum exercitationem ullam corporis suscipit laboriosam nisi ut aliquid ex ea commodi consequatur quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur vel illum qui dolorem eum fugiat quo voluptas nulla pariatur '),
	(5,'field',15,'en_us',' dark horse tres blueberry stout 2 the frothy finished product 1 cup sugar 1 cup sugar 1 can stout extract 1 can stout extract 5 gallons water 5 gallons water lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt neque porro quisquam est qui dolorem ipsum quia dolor sit amet consectetur adipisci velit sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem ut enim ad minima veniam quis nostrum exercitationem ullam corporis suscipit laboriosam nisi ut aliquid ex ea commodi consequatur quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur vel illum qui dolorem eum fugiat quo voluptas nulla pariatur don t forget to clean your equipment clean your workspace clean your workspace clean your equipment thoroughly clean your equipment thoroughly double check your ingredient list double check your ingredient list open a beverage preferably a beer open a beverage preferably a beer preparation lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum stout stout in a pot step one goes here step one goes here step 2 goes here step 2 goes here step 3 goes here step 3 goes here brewing lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt neque porro quisquam est qui dolorem ipsum quia dolor sit amet consectetur adipisci velit sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem ut enim ad minima veniam quis nostrum exercitationem ullam corporis suscipit laboriosam nisi ut aliquid ex ea commodi consequatur quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur vel illum qui dolorem eum fugiat quo voluptas nulla pariatur stout in pot cooking lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum '),
	(5,'field',10,'en_us',' creamy dark and velvety this one you could have for both breakfast and dessert '),
	(5,'field',9,'en_us',' difficulty experienced homebrewers difficulty experienced homebrewers yield 10 gallons yield 10 gallons cost $$$ cost $$$ time required 6 hours time required 6 hours '),
	(5,'field',14,'en_us',' stout '),
	(5,'field',13,'en_us',' 2015 06 01 '),
	(24,'slug',0,'en_us',''),
	(25,'field',18,'en_us',' don t forget to clean your equipment '),
	(25,'slug',0,'en_us',''),
	(26,'field',20,'en_us',' preparation '),
	(26,'field',21,'en_us',' clean your workspace clean your workspace clean your equipment thoroughly clean your equipment thoroughly double check your ingredient list double check your ingredient list open a beverage preferably a beer open a beverage preferably a beer '),
	(26,'slug',0,'en_us',''),
	(27,'field',19,'en_us',' lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum '),
	(27,'slug',0,'en_us',''),
	(28,'field',16,'en_us',' stout '),
	(28,'field',17,'en_us',' stout in a pot '),
	(28,'slug',0,'en_us',''),
	(29,'field',20,'en_us',' brewing '),
	(29,'field',21,'en_us',' step one goes here step one goes here step 2 goes here step 2 goes here step 3 goes here step 3 goes here '),
	(29,'slug',0,'en_us',''),
	(30,'field',19,'en_us',' lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt neque porro quisquam est qui dolorem ipsum quia dolor sit amet consectetur adipisci velit sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem ut enim ad minima veniam quis nostrum exercitationem ullam corporis suscipit laboriosam nisi ut aliquid ex ea commodi consequatur quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur vel illum qui dolorem eum fugiat quo voluptas nulla pariatur '),
	(30,'slug',0,'en_us',''),
	(31,'field',16,'en_us',' stout in pot '),
	(31,'field',17,'en_us',' cooking '),
	(31,'slug',0,'en_us',''),
	(32,'field',19,'en_us',' lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum '),
	(32,'slug',0,'en_us',''),
	(33,'field',14,'en_us',' lager '),
	(33,'field',13,'en_us',' 2015 06 17 '),
	(33,'field',10,'en_us',' an ipa that helps you learn something new '),
	(33,'field',9,'en_us',' snapshot snapshot '),
	(33,'field',15,'en_us',' stout an image caption '),
	(33,'slug',0,'en_us',' mijingo double ipa '),
	(33,'title',0,'en_us',' mijingo double ipa '),
	(34,'field',16,'en_us',' stout '),
	(34,'field',17,'en_us',' an image caption '),
	(34,'slug',0,'en_us',''),
	(67,'title',0,'en_us',' test page '),
	(67,'slug',0,'en_us',' test '),
	(66,'title',0,'en_us',' img 20130908 074755 628 e1378848325489 '),
	(66,'slug',0,'en_us',''),
	(65,'filename',0,'en_us',' stout jpg '),
	(65,'extension',0,'en_us',' jpg '),
	(65,'kind',0,'en_us',' image '),
	(65,'slug',0,'en_us',''),
	(65,'title',0,'en_us',' stout '),
	(66,'filename',0,'en_us',' img_20130908_074755_628 e1378848325489 jpg '),
	(66,'extension',0,'en_us',' jpg '),
	(66,'kind',0,'en_us',' image '),
	(62,'title',0,'en_us',' img 20130908 074755 628 e1378848325489 '),
	(62,'slug',0,'en_us',''),
	(62,'kind',0,'en_us',' image '),
	(62,'extension',0,'en_us',' jpg '),
	(62,'filename',0,'en_us',' img_20130908_074755_628 e1378848325489 jpg '),
	(61,'title',0,'en_us',' stout in pot '),
	(61,'slug',0,'en_us',''),
	(61,'kind',0,'en_us',' image '),
	(61,'extension',0,'en_us',' jpg '),
	(61,'filename',0,'en_us',' stout in pot jpg '),
	(60,'title',0,'en_us',' stout '),
	(60,'slug',0,'en_us',''),
	(60,'kind',0,'en_us',' image '),
	(60,'extension',0,'en_us',' jpg '),
	(60,'filename',0,'en_us',' stout jpg '),
	(59,'title',0,'en_us',' dark horse tres blueberry stout 2 '),
	(59,'slug',0,'en_us',''),
	(59,'kind',0,'en_us',' image '),
	(59,'extension',0,'en_us',' jpg '),
	(59,'filename',0,'en_us',' dark horse tres blueberry stout 2 jpg '),
	(75,'slug',0,'en_us',''),
	(75,'title',0,'en_us',' contact ');

/*!40000 ALTER TABLE `craft_searchindex` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_sections
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_sections`;

CREATE TABLE `craft_sections` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `structureId` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `handle` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `type` enum('single','channel','structure') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'channel',
  `hasUrls` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `template` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `enableVersioning` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_sections_name_unq_idx` (`name`),
  UNIQUE KEY `craft_sections_handle_unq_idx` (`handle`),
  KEY `craft_sections_structureId_fk` (`structureId`),
  CONSTRAINT `craft_sections_structureId_fk` FOREIGN KEY (`structureId`) REFERENCES `craft_structures` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_sections` WRITE;
/*!40000 ALTER TABLE `craft_sections` DISABLE KEYS */;

INSERT INTO `craft_sections` (`id`, `structureId`, `name`, `handle`, `type`, `hasUrls`, `template`, `enableVersioning`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,NULL,'Homepage','homepage','single',1,'index',1,'2015-06-08 02:02:39','2015-06-08 02:02:39','057116ce-ede9-4fa7-9fbb-156104cb0555'),
	(2,NULL,'News','news','channel',1,'news/_entry',1,'2015-06-08 02:02:39','2015-06-08 02:02:39','b09680c4-6c6f-4491-9456-d51a42600505'),
	(3,NULL,'Recipes','recipes','channel',1,'recipes/_entry',1,'2015-06-08 02:11:27','2015-06-08 02:11:27','b34171f8-17df-4510-8a24-717df03af40b'),
	(4,1,'Pages','pages','structure',1,'pages/_entry',1,'2015-06-22 15:44:45','2015-06-22 15:44:45','7a337e0d-05a7-48bf-ab62-b7c2fd0441fa'),
	(5,2,'About','about','structure',1,'about/_entry',1,'2015-09-11 03:05:03','2015-09-11 03:05:03','25d84bcd-5a5f-42da-b116-71b90aa9875b'),
	(6,NULL,'Contact','contact','single',1,'contact',1,'2015-09-11 03:06:14','2015-09-11 03:06:14','11c004d5-1681-4774-b469-0f5ce1f946a9');

/*!40000 ALTER TABLE `craft_sections` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_sections_i18n
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_sections_i18n`;

CREATE TABLE `craft_sections_i18n` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sectionId` int(11) NOT NULL,
  `locale` char(12) COLLATE utf8_unicode_ci NOT NULL,
  `enabledByDefault` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `urlFormat` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `nestedUrlFormat` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_sections_i18n_sectionId_locale_unq_idx` (`sectionId`,`locale`),
  KEY `craft_sections_i18n_locale_fk` (`locale`),
  CONSTRAINT `craft_sections_i18n_locale_fk` FOREIGN KEY (`locale`) REFERENCES `craft_locales` (`locale`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `craft_sections_i18n_sectionId_fk` FOREIGN KEY (`sectionId`) REFERENCES `craft_sections` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_sections_i18n` WRITE;
/*!40000 ALTER TABLE `craft_sections_i18n` DISABLE KEYS */;

INSERT INTO `craft_sections_i18n` (`id`, `sectionId`, `locale`, `enabledByDefault`, `urlFormat`, `nestedUrlFormat`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,1,'en_us',1,'__home__',NULL,'2015-06-08 02:02:39','2015-06-08 02:02:39','e602294d-bec1-49cc-894a-70b9abb94e7d'),
	(2,2,'en_us',1,'news/{postDate.year}/{slug}',NULL,'2015-06-08 02:02:39','2015-06-08 02:02:39','6d5ed728-46ad-4c52-9935-10909ba09446'),
	(3,3,'en_us',0,'recipes/{slug}',NULL,'2015-06-08 02:11:27','2015-06-08 02:11:27','b788854f-be25-45f3-ad2c-206ec17a3285'),
	(4,4,'en_us',0,'pages/{slug}','{parent.uri}/{slug}','2015-06-22 15:44:45','2015-06-22 15:44:45','c5b69515-c6e6-4c65-a270-97574cc3e975'),
	(5,5,'en_us',0,'about/{slug}','{parent.uri}/{slug}','2015-09-11 03:05:03','2015-09-11 03:05:03','22ca6541-2f12-4c81-b3ce-1ea99130e957'),
	(6,6,'en_us',0,'contact',NULL,'2015-09-11 03:06:14','2015-09-11 03:06:14','47f74b7a-160a-4ec8-9969-8a96d827d28c');

/*!40000 ALTER TABLE `craft_sections_i18n` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_sessions
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_sessions`;

CREATE TABLE `craft_sessions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userId` int(11) NOT NULL,
  `token` char(100) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `craft_sessions_uid_idx` (`uid`),
  KEY `craft_sessions_token_idx` (`token`),
  KEY `craft_sessions_dateUpdated_idx` (`dateUpdated`),
  KEY `craft_sessions_userId_fk` (`userId`),
  CONSTRAINT `craft_sessions_userId_fk` FOREIGN KEY (`userId`) REFERENCES `craft_users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_sessions` WRITE;
/*!40000 ALTER TABLE `craft_sessions` DISABLE KEYS */;

INSERT INTO `craft_sessions` (`id`, `userId`, `token`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,1,'2317e0e30c8b20d9bbba0313bdc6b5b473b885c5czozMjoid045THlicWJafm5fUnpRV3hZZDUzTnBJRnFXakdmeDMiOw==','2015-06-08 02:02:38','2015-06-08 02:02:38','190bdd92-c9ee-4c0a-bbbd-1fc33a88ca88'),
	(2,1,'e832d63d0eb7dbe082cc0a23e2110b7ca622597dczozMjoiOWkxZlNKbExKajZRM0c5aDN4akZFbVpmZlFVakN6VFoiOw==','2015-06-08 02:07:13','2015-06-08 02:07:13','a0043c2a-8a46-4441-8883-a3863decd6bb'),
	(3,1,'e5f8e04341d2d5c1d34f1844ff947060c19863acczozMjoiZllycnVzMFZ0ZnIwTEt5U3hxVFd2RFAwRnNlVzlJNn4iOw==','2015-06-08 14:09:07','2015-06-08 14:09:07','d513d6e9-03aa-4890-8c43-f0cf283ddbaf'),
	(6,1,'c1db3f6d51209236d4848527c9e87ca4d65aadf5czozMjoiWWdYMEdScjdnWmVofldJbThab0RxUUdub28xbEFfN1kiOw==','2015-06-08 19:48:55','2015-06-08 19:48:55','92cc670f-722b-4bcf-a20e-3f912d2c3279'),
	(7,1,'468de6889840926f6ab4893076842818c2cc3798czozMjoiUG1YfktwOHYwemhwX0Z6MElGcTZEdzVDZHBodkZIMjYiOw==','2015-06-17 13:55:54','2015-06-17 13:55:54','29a6438d-defd-4251-af4e-1089394f3096'),
	(8,1,'0167ad51c0caa97abe64e6cedea4b98b7ea15cc4czozMjoiR0hMNWxYaWl1TnFrREM2d2t0ZGJWVVd3YnpxZ250eUsiOw==','2015-06-22 15:43:14','2015-06-22 15:43:14','ef9b673e-1b0c-47cc-9a77-62194099a266'),
	(9,1,'6af7ee1a56dcf530a63f5ed906481ecbcf4297c9czozMjoiQ01zak5JSXNxNDRkTkNEM0JLOElGNjc0WVkxZ3dManAiOw==','2015-08-10 18:55:40','2015-08-10 18:55:40','cfbc9f48-3427-415b-84cb-e27128dc781c'),
	(10,1,'c308915ad8412250c0e4730d4769f95a55387418czozMjoiX35FQzQ1SWhxcndiUEFYcW9lQU9hcjNFcEFHRURWQlgiOw==','2015-08-10 21:13:30','2015-08-10 21:13:30','5629d658-5179-40f7-8098-33ad953c01b3'),
	(11,1,'5d0ac5809466e24db32735fcaa20fe96eadcbcfbczozMjoiYXlUd0VvR0xYQ1o2S350R3pQV2dsZmFPaFlDd0RGa3QiOw==','2015-08-11 01:42:03','2015-08-11 01:42:03','0b6f4eb6-7758-4ea7-9d03-b4f7d78da84d'),
	(12,1,'917f6999b7e9c7b83222191fa209a726b0a028bbczozMjoieXA5TVdmWENCdmNON3Y0d2I4RlBrMGl5QkFCeDVHV1QiOw==','2015-08-11 02:50:15','2015-08-11 02:50:15','b6419624-d4eb-4f19-b714-c2c0a581f3c7'),
	(13,1,'6563d6f15dcc18a1b4fe39f60cc716d2e682f3d1czozMjoiVkM4WUZvMW56amwzaGlaWno4eWlfTU5obXYyc2tjNkciOw==','2015-08-20 02:22:18','2015-08-20 02:22:18','9f1462e0-409b-4d9c-ad66-a735056721d7'),
	(14,1,'184db74055d0ea70867608c4a8aab14fd6654608czozMjoiMnpOQWdibTgxeVJmWHhKdnY0X0lzYlR6RFVNVzQ5NG4iOw==','2015-09-11 02:41:30','2015-09-11 02:41:30','49f2efa1-5918-4f3a-8fd6-95fa03903f25'),
	(15,1,'3baf17f63ecbf519ba470d3a0ec5a0f8af7051f7czozMjoiWGxVSHRRUX5udUFoODZPSzB3ZjhxazVkdG9paERPdVEiOw==','2015-09-11 13:23:56','2015-09-11 13:23:56','9ebea209-59e1-4242-a585-4038180052b1'),
	(16,1,'e84c9f92edb2e158cb77764bb91fa642ee1db353czozMjoiUXdhWUlkOWhnaFBzNm4ybG1iZEpNflMxT2ZsSVdkR2UiOw==','2015-09-11 19:53:56','2015-09-11 19:53:56','5d76f109-5a20-42d0-9099-25a4209e5e98'),
	(17,1,'68ebf8525c490757852a07db15443d8db2207f37czozMjoiZzFxU2h+TEVNNTV1WVppfnVJX2lzRkxGYkR5aDBPZHoiOw==','2015-09-14 20:06:39','2015-09-14 20:06:39','25e5df37-a6c7-44a8-b2b3-d3bdfd73ac40'),
	(18,1,'20f01de0aec837f9691fd816301f56f679bc022cczozMjoiMlVmYVlYUFdwMklaQkxwN1RaZm9IaThuS2x5cURWSjAiOw==','2015-09-18 15:26:46','2015-09-18 15:26:46','b1f8be87-f410-4807-accc-692af804318a'),
	(19,1,'36970b654e18f5196cec6c7f05f2e11a4082036cczozMjoiUDlnSjdfNTBFdmJWWVA4UnAzNUl0V0RWdFhGMDdmOG0iOw==','2015-09-18 18:46:06','2015-09-18 18:46:06','85c00563-d752-47a1-9a5e-2cda00e59a3a');

/*!40000 ALTER TABLE `craft_sessions` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_shunnedmessages
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_shunnedmessages`;

CREATE TABLE `craft_shunnedmessages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userId` int(11) NOT NULL,
  `message` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `expiryDate` datetime DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_shunnedmessages_userId_message_unq_idx` (`userId`,`message`),
  CONSTRAINT `craft_shunnedmessages_userId_fk` FOREIGN KEY (`userId`) REFERENCES `craft_users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_structureelements
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_structureelements`;

CREATE TABLE `craft_structureelements` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `structureId` int(11) NOT NULL,
  `elementId` int(11) DEFAULT NULL,
  `root` int(11) unsigned DEFAULT NULL,
  `lft` int(11) unsigned NOT NULL,
  `rgt` int(11) unsigned NOT NULL,
  `level` smallint(6) unsigned NOT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_structureelements_structureId_elementId_unq_idx` (`structureId`,`elementId`),
  KEY `craft_structureelements_root_idx` (`root`),
  KEY `craft_structureelements_lft_idx` (`lft`),
  KEY `craft_structureelements_rgt_idx` (`rgt`),
  KEY `craft_structureelements_level_idx` (`level`),
  KEY `craft_structureelements_elementId_fk` (`elementId`),
  CONSTRAINT `craft_structureelements_elementId_fk` FOREIGN KEY (`elementId`) REFERENCES `craft_elements` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_structureelements_structureId_fk` FOREIGN KEY (`structureId`) REFERENCES `craft_structures` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_structureelements` WRITE;
/*!40000 ALTER TABLE `craft_structureelements` DISABLE KEYS */;

INSERT INTO `craft_structureelements` (`id`, `structureId`, `elementId`, `root`, `lft`, `rgt`, `level`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,1,NULL,1,1,4,0,'2015-06-22 15:44:56','2015-06-22 15:44:56','d66a5073-7a3a-4ea6-ad7c-f6466b7240ea'),
	(2,1,67,1,2,3,1,'2015-06-22 15:44:56','2015-06-22 15:44:56','665c3ba6-df63-4bde-8063-1a1a13d193fd'),
	(4,3,NULL,4,1,2,0,'2015-09-11 13:25:22','2015-09-11 13:25:22','02b1a5f1-e81e-4429-8592-1a55be3dc9e4');

/*!40000 ALTER TABLE `craft_structureelements` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_structures
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_structures`;

CREATE TABLE `craft_structures` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `maxLevels` smallint(6) unsigned DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_structures` WRITE;
/*!40000 ALTER TABLE `craft_structures` DISABLE KEYS */;

INSERT INTO `craft_structures` (`id`, `maxLevels`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,NULL,'2015-06-22 15:44:45','2015-06-22 15:44:45','69e4ad45-ccf7-47c2-a6a1-97619bd28be7'),
	(2,NULL,'2015-09-11 03:05:03','2015-09-11 03:05:03','3101002b-e8a8-4138-b6f8-0ddb604a2d8e'),
	(3,NULL,'2015-09-11 13:25:10','2015-09-11 14:10:05','b2ca91cc-6644-4537-ac5f-70d3bd7df3de');

/*!40000 ALTER TABLE `craft_structures` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_systemsettings
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_systemsettings`;

CREATE TABLE `craft_systemsettings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `settings` text COLLATE utf8_unicode_ci,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_systemsettings_category_unq_idx` (`category`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_systemsettings` WRITE;
/*!40000 ALTER TABLE `craft_systemsettings` DISABLE KEYS */;

INSERT INTO `craft_systemsettings` (`id`, `category`, `settings`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,'email','{\"protocol\":\"php\",\"emailAddress\":\"ryan@mijingo.com\",\"senderName\":\"Crafty Brewery\"}','2015-06-08 02:02:39','2015-06-08 02:02:39','8a239f6b-2432-499d-99e4-7ed5490e268b');

/*!40000 ALTER TABLE `craft_systemsettings` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_taggroups
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_taggroups`;

CREATE TABLE `craft_taggroups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `handle` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `fieldLayoutId` int(10) DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_taggroups_name_unq_idx` (`name`),
  UNIQUE KEY `craft_taggroups_handle_unq_idx` (`handle`),
  KEY `craft_taggroups_fieldLayoutId_fk` (`fieldLayoutId`),
  CONSTRAINT `craft_taggroups_fieldLayoutId_fk` FOREIGN KEY (`fieldLayoutId`) REFERENCES `craft_fieldlayouts` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_taggroups` WRITE;
/*!40000 ALTER TABLE `craft_taggroups` DISABLE KEYS */;

INSERT INTO `craft_taggroups` (`id`, `name`, `handle`, `fieldLayoutId`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,'Default','default',1,'2015-06-08 02:02:39','2015-06-08 02:02:39','4bed0ce7-10dd-4a5f-9e42-20e937ecda62');

/*!40000 ALTER TABLE `craft_taggroups` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_tags
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_tags`;

CREATE TABLE `craft_tags` (
  `id` int(11) NOT NULL,
  `groupId` int(11) NOT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `craft_tags_groupId_fk` (`groupId`),
  CONSTRAINT `craft_tags_groupId_fk` FOREIGN KEY (`groupId`) REFERENCES `craft_taggroups` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_tags_id_fk` FOREIGN KEY (`id`) REFERENCES `craft_elements` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_tasks
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_tasks`;

CREATE TABLE `craft_tasks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `root` int(11) unsigned DEFAULT NULL,
  `lft` int(11) unsigned NOT NULL,
  `rgt` int(11) unsigned NOT NULL,
  `level` smallint(6) unsigned NOT NULL,
  `currentStep` int(11) unsigned DEFAULT NULL,
  `totalSteps` int(11) unsigned DEFAULT NULL,
  `status` enum('pending','error','running') COLLATE utf8_unicode_ci DEFAULT NULL,
  `type` varchar(150) COLLATE utf8_unicode_ci NOT NULL,
  `description` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `settings` text COLLATE utf8_unicode_ci,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `craft_tasks_root_idx` (`root`),
  KEY `craft_tasks_lft_idx` (`lft`),
  KEY `craft_tasks_rgt_idx` (`rgt`),
  KEY `craft_tasks_level_idx` (`level`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_templatecachecriteria
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_templatecachecriteria`;

CREATE TABLE `craft_templatecachecriteria` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cacheId` int(11) NOT NULL,
  `type` varchar(150) COLLATE utf8_unicode_ci NOT NULL,
  `criteria` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `craft_templatecachecriteria_cacheId_fk` (`cacheId`),
  KEY `craft_templatecachecriteria_type_idx` (`type`),
  CONSTRAINT `craft_templatecachecriteria_cacheId_fk` FOREIGN KEY (`cacheId`) REFERENCES `craft_templatecaches` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_templatecacheelements
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_templatecacheelements`;

CREATE TABLE `craft_templatecacheelements` (
  `cacheId` int(11) NOT NULL,
  `elementId` int(11) NOT NULL,
  KEY `craft_templatecacheelements_cacheId_fk` (`cacheId`),
  KEY `craft_templatecacheelements_elementId_fk` (`elementId`),
  CONSTRAINT `craft_templatecacheelements_cacheId_fk` FOREIGN KEY (`cacheId`) REFERENCES `craft_templatecaches` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_templatecacheelements_elementId_fk` FOREIGN KEY (`elementId`) REFERENCES `craft_elements` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_templatecaches
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_templatecaches`;

CREATE TABLE `craft_templatecaches` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cacheKey` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `locale` char(12) COLLATE utf8_unicode_ci NOT NULL,
  `path` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `expiryDate` datetime NOT NULL,
  `body` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `craft_templatecaches_expiryDate_cacheKey_locale_path_idx` (`expiryDate`,`cacheKey`,`locale`,`path`),
  KEY `craft_templatecaches_locale_fk` (`locale`),
  CONSTRAINT `craft_templatecaches_locale_fk` FOREIGN KEY (`locale`) REFERENCES `craft_locales` (`locale`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_tokens
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_tokens`;

CREATE TABLE `craft_tokens` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `token` char(32) COLLATE utf8_unicode_ci NOT NULL,
  `route` text COLLATE utf8_unicode_ci,
  `usageLimit` tinyint(3) unsigned DEFAULT NULL,
  `usageCount` tinyint(3) unsigned DEFAULT NULL,
  `expiryDate` datetime NOT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_tokens_token_unq_idx` (`token`),
  KEY `craft_tokens_expiryDate_idx` (`expiryDate`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_usergroups
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_usergroups`;

CREATE TABLE `craft_usergroups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `handle` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_usergroups_users
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_usergroups_users`;

CREATE TABLE `craft_usergroups_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `groupId` int(11) NOT NULL,
  `userId` int(11) NOT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_usergroups_users_groupId_userId_unq_idx` (`groupId`,`userId`),
  KEY `craft_usergroups_users_userId_fk` (`userId`),
  CONSTRAINT `craft_usergroups_users_groupId_fk` FOREIGN KEY (`groupId`) REFERENCES `craft_usergroups` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_usergroups_users_userId_fk` FOREIGN KEY (`userId`) REFERENCES `craft_users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_userpermissions
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_userpermissions`;

CREATE TABLE `craft_userpermissions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_userpermissions_name_unq_idx` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_userpermissions_usergroups
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_userpermissions_usergroups`;

CREATE TABLE `craft_userpermissions_usergroups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `permissionId` int(11) NOT NULL,
  `groupId` int(11) NOT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_userpermissions_usergroups_permissionId_groupId_unq_idx` (`permissionId`,`groupId`),
  KEY `craft_userpermissions_usergroups_groupId_fk` (`groupId`),
  CONSTRAINT `craft_userpermissions_usergroups_groupId_fk` FOREIGN KEY (`groupId`) REFERENCES `craft_usergroups` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_userpermissions_usergroups_permissionId_fk` FOREIGN KEY (`permissionId`) REFERENCES `craft_userpermissions` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_userpermissions_users
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_userpermissions_users`;

CREATE TABLE `craft_userpermissions_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `permissionId` int(11) NOT NULL,
  `userId` int(11) NOT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_userpermissions_users_permissionId_userId_unq_idx` (`permissionId`,`userId`),
  KEY `craft_userpermissions_users_userId_fk` (`userId`),
  CONSTRAINT `craft_userpermissions_users_permissionId_fk` FOREIGN KEY (`permissionId`) REFERENCES `craft_userpermissions` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_userpermissions_users_userId_fk` FOREIGN KEY (`userId`) REFERENCES `craft_users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



# Dump of table craft_users
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_users`;

CREATE TABLE `craft_users` (
  `id` int(11) NOT NULL,
  `username` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `photo` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `firstName` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `lastName` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `email` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `password` char(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `preferredLocale` char(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `weekStartDay` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `admin` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `client` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `locked` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `suspended` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `pending` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `archived` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `lastLoginDate` datetime DEFAULT NULL,
  `lastLoginAttemptIPAddress` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `invalidLoginWindowStart` datetime DEFAULT NULL,
  `invalidLoginCount` tinyint(4) unsigned DEFAULT NULL,
  `lastInvalidLoginDate` datetime DEFAULT NULL,
  `lockoutDate` datetime DEFAULT NULL,
  `verificationCode` char(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `verificationCodeIssuedDate` datetime DEFAULT NULL,
  `unverifiedEmail` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `passwordResetRequired` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `lastPasswordChangeDate` datetime DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `craft_users_username_unq_idx` (`username`),
  UNIQUE KEY `craft_users_email_unq_idx` (`email`),
  KEY `craft_users_verificationCode_idx` (`verificationCode`),
  KEY `craft_users_uid_idx` (`uid`),
  KEY `craft_users_preferredLocale_fk` (`preferredLocale`),
  CONSTRAINT `craft_users_id_fk` FOREIGN KEY (`id`) REFERENCES `craft_elements` (`id`) ON DELETE CASCADE,
  CONSTRAINT `craft_users_preferredLocale_fk` FOREIGN KEY (`preferredLocale`) REFERENCES `craft_locales` (`locale`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_users` WRITE;
/*!40000 ALTER TABLE `craft_users` DISABLE KEYS */;

INSERT INTO `craft_users` (`id`, `username`, `photo`, `firstName`, `lastName`, `email`, `password`, `preferredLocale`, `weekStartDay`, `admin`, `client`, `locked`, `suspended`, `pending`, `archived`, `lastLoginDate`, `lastLoginAttemptIPAddress`, `invalidLoginWindowStart`, `invalidLoginCount`, `lastInvalidLoginDate`, `lockoutDate`, `verificationCode`, `verificationCodeIssuedDate`, `unverifiedEmail`, `passwordResetRequired`, `lastPasswordChangeDate`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,'admin',NULL,'Ryan','Irelan','support@mijingo.com','$2y$13$1D6ba0aIKofnhPOyu6ykle1g4Cz2v186DiF89E3v6GFC50KCd73yK',NULL,0,1,0,0,0,0,0,'2015-09-18 18:46:06','::1',NULL,NULL,'2015-06-08 14:09:01',NULL,NULL,NULL,NULL,0,'2015-09-18 19:48:51','2015-06-08 02:02:35','2015-09-18 19:49:19','5614e9fd-ec44-4a32-b97e-382082c0199e');

/*!40000 ALTER TABLE `craft_users` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table craft_widgets
# ------------------------------------------------------------

DROP TABLE IF EXISTS `craft_widgets`;

CREATE TABLE `craft_widgets` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userId` int(11) NOT NULL,
  `type` varchar(150) COLLATE utf8_unicode_ci NOT NULL,
  `sortOrder` tinyint(4) DEFAULT NULL,
  `settings` text COLLATE utf8_unicode_ci,
  `enabled` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `dateCreated` datetime NOT NULL,
  `dateUpdated` datetime NOT NULL,
  `uid` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `craft_widgets_userId_fk` (`userId`),
  CONSTRAINT `craft_widgets_userId_fk` FOREIGN KEY (`userId`) REFERENCES `craft_users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `craft_widgets` WRITE;
/*!40000 ALTER TABLE `craft_widgets` DISABLE KEYS */;

INSERT INTO `craft_widgets` (`id`, `userId`, `type`, `sortOrder`, `settings`, `enabled`, `dateCreated`, `dateUpdated`, `uid`)
VALUES
	(1,1,'RecentEntries',1,NULL,1,'2015-06-08 02:03:35','2015-06-08 02:03:35','bc53d5f9-051d-41d2-bd17-bfb8ce08c295'),
	(2,1,'GetHelp',2,NULL,1,'2015-06-08 02:03:35','2015-06-08 02:03:35','7f4faa2e-9982-4480-a2e0-52deb1051170'),
	(3,1,'Updates',3,NULL,1,'2015-06-08 02:03:35','2015-06-08 02:03:35','28585273-d251-4f0a-a639-06417bf51056'),
	(4,1,'Feed',4,'{\"url\":\"http:\\/\\/feeds.feedburner.com\\/blogandtonic\",\"title\":\"Blog & Tonic\"}',1,'2015-06-08 02:03:35','2015-06-08 02:03:35','156b4080-2d82-47d8-9899-c61266edc3ce');

/*!40000 ALTER TABLE `craft_widgets` ENABLE KEYS */;
UNLOCK TABLES;



/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
